Ticket #1158 (closed defect: fixed)

Opened 7 years ago

Last modified 5 years ago

Charging stops even while connected

Reported by: plr@… Owned by: openmoko-devel
Priority: high Milestone: Om2008.10
Component: kernel Version: unspecified
Severity: blocker Keywords: power management
Cc: buglog@… Blocked By:
Blocking: Estimated Completion (week):
HasPatchForReview: no PatchReviewResult:
Reproducible: sometimes

Description

With recent snapshots of OpenMoko? builds I have noticed that even though the USB
cable is plugged in, and the computer turned on, the charge symbol changes from
"Plugged In" to "Battery".

At first I thought it was just a failure of showing the symbol correctly, but
after leaving the Neo for a while, I found that it did in fact run on the
battery which eventually discharged.

I noticed it first with the qtopia-4.3.1-snapshot-1127.tgz release, but also
later with
OpenMoko?-celtune-monster-image-glibc-ipk-P1-Snapshot-20080103-fic-gta01.rootfs.tar
and
http://buildhost.automated.it/OM2007.2/OpenMoko-scaredycat-openmoko-devel-image-glibc-ipk-P1-Snapshot-20080103-fic-gta01.rootfs.jffs2

When unplugging and re-plugging the USB cable the Neo starts charging again.

I haven't seen a specific pattern or time cycles to when it logically unplugs
the USB charging.

Even though it doesn't charge, the network connection seems to be up.

The kernel is:

root@fic-gta01:~$ uname -a
Linux fic-gta01 2.6.22.5-moko11 #1 PREEMPT Sat Nov 10 17:12:24 GMT 2007 armv4tl
unknown

Uboot is:

u-boot-gta01bv4-1.3.0+git20071201+svnr3484-r0.bin

Change History

comment:1 Changed 6 years ago by roh

  • Owner changed from buglog@… to openmoko-devel

comment:2 Changed 6 years ago by olberger

FYI, I think I experienced similar issue on 2007.2 (updated) on FR, with wall charger. See : http://lists.openmoko.org/pipermail/support/2008-July/000162.html

Hope this helps.

Best regards

comment:3 Changed 6 years ago by thomasb

I can confirm this. It happened to me several times in the last days while leaving my FR plugged in over the night, with both current 2007.2 and Qtopia images. U-Boot version is the originally installed "1.3.2-rc2-dirty-moko12 (Apr 2 2008 - 09:31:05)".

comment:4 Changed 6 years ago by zecke

  • Component changed from openmoko-panel-battery to System Software

Please try a more recent kernel.

comment:5 Changed 6 years ago by hedora

I'm getting this with yesterday's build of the kernel. (I have the SD card fixes (turn off clock, control SD drive power) for GPS, so I know its very recent...)

comment:6 Changed 6 years ago by andy

Hedora, how were you able to tell that this had happened? The battery indicator starts going down, for example?

What was it plugged into to charge?

comment:7 Changed 6 years ago by hedora

apm reports:

Off-line, battery status low: 49% (1d+3:40:00)

when charger_type contains:

charger 1A mode 1A

Also, the GUI icon doesn't show a lightning bolt.

I'm using the AC adaptor charger. (Haven't tried to reproduce this while charging with my computer...). Unplugging and replugging the charger fixes it. Mine doesn't stop charging until it's full, so I might have a seperate problem.

The indicator went down from 50% to 49%, but at a very slow rate. I've only had it rapidly (in 8 hours) discharge the battery in this state twice (both in the last 4 days...), and didn't get to look at charger_type or apm when that happened. I'm working on a perl script to log this stuff and shut the phone down at 10% battery remaining so I don't have to jump through hoops to boot the phone.

comment:8 Changed 6 years ago by andy

Next time you get to this bad state, can you paste here

# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/dump_regs

results. charger_type is clearly happy.

Thanks for posting your information to help us figure this out.

comment:9 Changed 6 years ago by hedora

(I sent this to the support list yesterday... Also, I have many more of these, as I had it dump it once a minute.)

13 84 00 00 00 00 00 80 00 00 00 00 00 d3 aa 4a
15 44 ff 01 00 07 00 00 02 08 6b 01 00 0a 1b 02
00 22 2f 01 00 22 00 00 3f 01 05 20 11 18 02 18
02 00 00 00 00 15 00 15 01 16 01 00 00 ff 3f 00
00 17 63 e6 28 19 ff ff 00 02 00 33 20 50 19 00
00 08 00 00 0e a3 00 f0 00 42 04 23 00 20 06 08
7f 7f 3f 07 3f 1f ff 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 c9 72 d9 0a 27 60 08 c0 b8
13 c0 03 07 00 00 00 03 e2 ff fa 62 11 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

Thanks!

-Rusty

comment:10 Changed 6 years ago by andy

You should post about this stuff on the kernel or hardware lists for best response, it's evidently a real bug because reg 0x43 b0 chgena is 0, the charger is disabled.

comment:11 Changed 6 years ago by hedora

I can no longer reproduce the problem I was reporting with kernel:

kernel-vmlinux_2.6.24+git25+8533927964761f4e2078ccd8607b90f5acc60b93-r0_om-gta02

I don't know about the problem where it stops charging then runs the battery down after many hours. I've never had that happen.

comment:12 Changed 6 years ago by andy

Great, between your report and that version I added several patches around this area. I leave the bug open because this is slightly different than the original report.

comment:13 Changed 6 years ago by mickeyl

I have observed this on GTA01 as well. Will your patches help here also?

comment:14 Changed 6 years ago by andy

No, they were all pcf50633-specific.

comment:15 Changed 6 years ago by Abraxa

  • Severity changed from normal to major

I can confirm that this bug is still valid, it happened to me today.

I usually keep my Neo attached to USB all the time, so it was turned on with USB plugged in and the USB plug was never unplugged.

comment:16 Changed 6 years ago by Abraxa

Oh, and kernel is uImage-2.6.24+gitr1+6c8cac7aff344b545ddcb89f8365473b39044064-r4-om-gta02.bin

comment:17 Changed 6 years ago by olberger

FYI, I'm still experiencing this problem with 2008.8 updates although, when staying connected to the wall charger, it will get back to "discharge" mode but always report 93% battery charge when I wake it up and issue 'apm'...

The fact that it stays to 93% seems pretty reproducable... some kind of circuit behaviour ?

Hope this helps.

comment:18 Changed 6 years ago by mickey

  • Keywords power management added
  • Reproducible set to sometimes
  • Severity changed from major to critical

I can confirm this behaviour, although the amount of capacity when it stops seems random. Uevent just told me:

odeviced.kernel26 DEBUG got property change from uevent socket: {'POWER_SUPPLY_NAME': 'bat', 'POWER_SUPPLY_TIME_TO_FULL_NOW': '3932100', 'POWER_SUPPLY_TYPE': 'Battery', 'POWER_SUPPLY_TECHNOLOGY': 'Li-ion', 'POWER_SUPPLY_VOLTAGE_NOW': '4032000', 'POWER_SUPPLY_CAPACITY': '86', 'POWER_SUPPLY_STATUS': 'Not charging', 'POWER_SUPPLY_ONLINE': '1', 'POWER_SUPPLY_TEMP': '293', 'POWER_SUPPLY_TIME_TO_EMPTY_NOW': '995640', 'POWER_SUPPLY_PRESENT': '1', 'POWER_SUPPLY_CURRENT_NOW': '3937', 'POWER_SUPPLY_CHARGE_FULL': '1200591'}

comment:19 follow-up: ↓ 20 Changed 6 years ago by andy

What does your host side dmesg say... is it possible what happens here is we lose the enumeration somehow and go back to 100mA limit? We are pulling like 4mA from the battery on top of 100mA @ 5V from USB.

comment:20 in reply to: ↑ 19 Changed 6 years ago by olberger

Replying to andy:

What does your host side dmesg say... is it possible what happens here is we lose the enumeration somehow and go back to 100mA limit? We are pulling like 4mA from the battery on top of 100mA @ 5V from USB.

In my case, Andy, there's no host as I'm charging from the wall charger ;) So that's not the USB master's fault... unless the charger acts like that too ;-)

comment:21 Changed 6 years ago by will

  • Milestone set to Om2008.9

comment:22 Changed 6 years ago by will

  • Milestone changed from Om2008.9 to Om2008.10

comment:23 follow-up: ↓ 24 Changed 6 years ago by werner

By the way, how the PMU is set up, it will automatically stop charging when
the battery has reached 4.2V (MBCC2.vmax) and resume when it has dropped to
4.032V (MBCC2.vmax*96%, see description of MBCC1.autores).

So as long as the voltage does not leave these boundaries, that's just
normal behaviour of our charging hardware. The battery pack is specified
for a charge voltage of 4.2V+/-0.05V, so the MBCC2.vmax setting of 4.2V+/-1%
is as high as possible without violating the battery specification.

If this is just a GUI problem, a solution might be to read MBCS2.mbcmod and
to display something less disturbing than a discharging battery when in
state "Battery Full mode", 10 decimal.

comment:24 in reply to: ↑ 23 Changed 6 years ago by Abraxa

Replying to werner:

By the way, how the PMU is set up, it will automatically stop charging [...] and resume

The problem here however is that the PMU stops charging even when the battery is not full and does not resume charging at any point either.

If this is just a GUI problem, a solution might be to read MBCS2.mbcmod and
to display something less disturbing than a discharging battery when in
state "Battery Full mode", 10 decimal.

I'm afraid this has nothing to do with this bug as the charging stops due to a perceived loss of charger power by the kernel, seemingly regardless of battery level.

comment:25 follow-up: ↓ 26 Changed 6 years ago by werner

The problem here however is that the PMU stops charging even when the
battery is not full and does not resume charging at any point either.

Okay, that's definitely bad. I had two GTA02v6 run with USB power on
and off during the last couple of weeks in the hope of finding charging
anomalies, but none of them powered down unexpectedly (well, unless I
forgot to plug in USB again :-)

perceived loss of charger power by the kernel

Hmm, the PMU dump earlier in this thread shows that the charger function
is disabled but the USB voltage is fine.

comment:26 in reply to: ↑ 25 Changed 6 years ago by andy

Replying to werner:

The problem here however is that the PMU stops charging even when the
battery is not full and does not resume charging at any point either.

Okay, that's definitely bad. I had two GTA02v6 run with USB power on
and off during the last couple of weeks in the hope of finding charging
anomalies, but none of them powered down unexpectedly (well, unless I
forgot to plug in USB again :-)

Did they have SIMs in? This 4mA drain seen by battery even when we give USB power is consistent with the GSM side pulling it direct from battery.

perceived loss of charger power by the kernel

Hmm, the PMU dump earlier in this thread shows that the charger function
is disabled but the USB voltage is fine.

It's from 2 months ago, we changed things around since then and can do with another register dump from a device that shows this behaviour. If it really does show that it's a big clue.

comment:27 Changed 6 years ago by johndoesacc

I have experienced the same issue. It seems that it happens after it's completely charged. I tried it now while i was connected to it through USB. I run the Om distro fully updated with the 2008.8 repository as of today. I ran some commands while it happened. I split the output into two to illustrate when it happened:

root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/charger_type
charger 1A mode 500mA
root@om-gta02:~# apm --verbose
APM BIOS 1.2 (kernel driver 1.13)
On-line, battery charging: 100% (0:00:00)
root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/charger_type
charger 1A mode 500mA
root@om-gta02:~# apm --verbose
APM BIOS 1.2 (kernel driver 1.13)
On-line, battery charging: 100% (0:00:00)

This is when it started showing the battery icon instead of the lightning bolt icon on the phone's screen.

root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/charger_type
charger 1A mode 500mA
root@om-gta02:~# apm --verbose
APM BIOS 1.2 (kernel driver 1.13)
On-line, battery status high: 100% (45d+12:15:00)
root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/charger_type
charger 1A mode 500mA
root@om-gta02:~# apm --verbose
APM BIOS 1.2 (kernel driver 1.13)
On-line, battery status high: 100% (1d+1:05:00)
root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/charger_type
charger 1A mode 500mA
root@om-gta02:~# apm --verbose
APM BIOS 1.2 (kernel driver 1.13)
On-line, battery status high: 100% (1d+14:40:00)
root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/charger_type
charger 1A mode 500mA
root@om-gta02:~# apm --verbose
APM BIOS 1.2 (kernel driver 1.13)
On-line, battery status high: 100% (7d+5:26:00)
root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/charger_type
charger 1A mode 500mA
root@om-gta02:~# apm --verbose
APM BIOS 1.2 (kernel driver 1.13)
On-line, battery status high: 100% (3d+21:21:00)
root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/charger_type
charger 1A mode 500mA
root@om-gta02:~# apm --verbose
APM BIOS 1.2 (kernel driver 1.13)
On-line, battery status high: 100% (3d+8:54:00)
root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/charger_type
charger 1A mode 500mA
root@om-gta02:~# apm --verbose
APM BIOS 1.2 (kernel driver 1.13)
On-line, battery status high: 100% (20:45:00)
root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/charger_type
charger 1A mode 500mA
root@om-gta02:~# apm --verbose
APM BIOS 1.2 (kernel driver 1.13)
On-line, battery status high: 100% (5d+11:43:00)
root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/charger_type
charger 1A mode 500mA
root@om-gta02:~# apm --verbose
APM BIOS 1.2 (kernel driver 1.13)
On-line, battery status high: 100% (1d+12:55:00)
root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/charger_type
charger 1A mode 500mA
root@om-gta02:~# apm --verbose
APM BIOS 1.2 (kernel driver 1.13)
On-line, battery status high: 99% (20:28:00)

comment:28 Changed 6 years ago by shishz

here's my dump_regs for my freerunner that experiences the symptoms described in the bug report:

root@om-gta02:/sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073# cat dump_regs 

13 84 80 00 00 00 00 c0 00 00 00 00 00 d3 aa 4a 
15 47 ff 01 00 07 00 00 02 08 6b 01 00 0a 1b 02 
00 22 2f 01 00 22 00 00 2a 01 05 20 11 18 02 18 
02 00 00 00 00 15 00 15 01 12 01 00 00 ff 3f 00 
00 1f 63 e6 28 19 ff ff 00 00 00 33 20 51 19 00 
00 08 00 00 7e 0b 00 f2 00 13 55 18 00 27 08 08 
00 00 06 07 11 07 08 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 6e a3 19 0a 27 60 77 c0 8a 
1e d8 03 06 00 03 00 03 f7 ff 3a 5f 0f 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 

When I remove the usb cable and replug it back in, only then does my freerunner start charging. The following is the dump_regs when it's charging after the replug of the cable:

root@om-gta02:~# apm
On-line, battery charging: 89% (0:45:00)
root@om-gta02:~# cat /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-007
3/dump_regs 

13 84 80 00 00 00 00 c0 00 00 00 00 00 d3 aa 4a 
15 47 ff 01 00 07 00 00 02 08 6b 01 00 0a 1b 02 
00 22 2f 01 00 22 00 00 2a 01 05 20 11 18 02 18 
02 00 00 00 00 15 00 15 01 12 01 00 00 ff 3f 00 
00 1f 63 e7 28 19 ff ff 00 01 00 23 23 f2 19 00 
00 08 00 00 7e 0b 00 f2 00 48 19 19 00 27 08 08 
00 00 06 07 11 07 08 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 6e a3 19 0a 27 60 77 c0 8a 
1e d8 03 06 00 00 00 03 f7 ff 3a 5f 0f 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

hth

comment:29 Changed 6 years ago by shishz

I forgot to mention, I just updated to whatever was in the testing repo this morning.

comment:30 Changed 6 years ago by lindi

I see this too on debian with

$ dpkg -l | grep linux-image
ii  linux-image-2.6.24-openmoko-gta02    20080903.git2ea34171-2 Linux 2.6.24 kernel image for the Openmoko N

I wrote a tiny program to log the battery parameters every two minutes:

#!/bin/sh

while true; do
    echo -n "`date -Iseconds` `date +%s`"
    for i in type status voltage_now current_now charge_full temp technology present time_to_empty_now time_to_full_now capacity online; do
        val="`cat /sys/devices/platform/bq27000-battery.0/power_supply/bat/$i | sed 's/ /_/'`"
        echo -n " $val"
    done
    echo ""
    sleep 120
done

2008-10-26T21:04:18+0200 1225047858 Battery Discharging 4110000 202125 1017271 333 Li-ion 1 18600 3932100 98 0
2008-10-26T21:06:19+0200 1225047979 Battery Discharging 4116000 120750 1017271 336 Li-ion 1 30960 3932100 97 0
2008-10-26T21:08:20+0200 1225048100 Battery Discharging 4095000 276187 1017271 341 Li-ion 1 13440 3932100 97 0
2008-10-26T21:10:21+0200 1225048222 Battery Discharging 4110000 96375 1017271 343 Li-ion 1 38340 3932100 96 0
2008-10-26T21:12:22+0200 1225048342 Battery Discharging 4095000 216000 1017271 343 Li-ion 1 17040 3932100 96 0
2008-10-26T21:14:23+0200 1225048463 Battery Discharging 4102000 96562 1017271 343 Li-ion 1 37860 3932100 95 0
2008-10-26T21:16:24+0200 1225048584 Battery Discharging 4102000 103312 1017271 343 Li-ion 1 35280 3932100 95 0
2008-10-26T21:18:25+0200 1225048705 Battery Discharging 4087000 219937 1017271 341 Li-ion 1 16500 3932100 94 0
2008-10-26T21:20:26+0200 1225048826 Battery Charging 4139000 -241312 1017271 343 Li-ion 1 3932100 1320 94 1
2008-10-26T21:22:27+0200 1225048947 Battery Charging 4144000 -196125 1017271 343 Li-ion 1 3932100 1440 95 1
2008-10-26T21:24:28+0200 1225049068 Battery Charging 4147000 -172125 1017271 346 Li-ion 1 3932100 1440 95 1
2008-10-26T21:26:29+0200 1225049189 Battery Charging 4150000 -150000 1017271 343 Li-ion 1 3932100 1500 96 1
2008-10-26T21:28:29+0200 1225049310 Battery Charging 4150000 -132750 1017271 343 Li-ion 1 3932100 1500 96 1
2008-10-26T21:30:30+0200 1225049430 Battery Charging 4152000 -120562 1017271 341 Li-ion 1 3932100 1440 97 1
2008-10-26T21:32:31+0200 1225049551 Battery Charging 4155000 -112500 1017271 341 Li-ion 1 3932100 1440 97 1
2008-10-26T21:34:32+0200 1225049672 Battery Charging 4155000 -101062 1017271 338 Li-ion 1 3932100 0 100 1
2008-10-26T21:36:33+0200 1225049793 Battery Charging 4158000 -92437 1017271 338 Li-ion 1 3932100 0 100 1
2008-10-26T21:38:34+0200 1225049914 Battery Charging 4158000 -83437 1017271 336 Li-ion 1 3932100 0 100 1
2008-10-26T21:40:35+0200 1225050035 Battery Charging 4158000 -69375 1017271 333 Li-ion 1 3932100 0 100 1
2008-10-26T21:42:36+0200 1225050156 Battery Charging 4160000 -68250 1017271 333 Li-ion 1 3932100 0 100 1
2008-10-26T21:44:36+0200 1225050277 Battery Charging 4160000 -61687 1017271 331 Li-ion 1 3932100 0 100 1
2008-10-26T21:46:37+0200 1225050397 Battery Charging 4160000 -55125 1017271 331 Li-ion 1 3932100 0 100 1
2008-10-26T21:48:38+0200 1225050518 Battery Charging 4160000 -51000 1017271 328 Li-ion 1 3932100 0 100 1
2008-10-26T21:50:39+0200 1225050639 Battery Charging 4163000 -47812 1017271 328 Li-ion 1 3932100 0 100 1
2008-10-26T21:52:40+0200 1225050760 Battery Charging 4163000 -42000 1017271 326 Li-ion 1 3932100 0 100 1
2008-10-26T21:54:41+0200 1225050881 Battery Charging 4163000 -32062 1017271 326 Li-ion 1 3932100 0 100 1
2008-10-26T21:56:42+0200 1225051002 Battery Charging 4163000 -36562 1017271 323 Li-ion 1 3932100 0 100 1
2008-10-26T21:58:43+0200 1225051123 Battery Charging 4163000 -32812 1017271 323 Li-ion 1 3932100 0 100 1
2008-10-26T22:00:43+0200 1225051243 Battery Charging 4163000 -23437 1017271 321 Li-ion 1 3932100 0 100 1
2008-10-26T22:02:44+0200 1225051364 Battery Charging 4165000 -28500 1017271 321 Li-ion 1 3932100 0 100 1
2008-10-26T22:04:45+0200 1225051485 Battery Charging 4165000 -21187 1017271 321 Li-ion 1 3932100 0 100 1
2008-10-26T22:06:46+0200 1225051606 Battery Not_charging 4158000 32250 1017271 318 Li-ion 1 119220 3932100 100 1
2008-10-26T22:08:47+0200 1225051727 Battery Not_charging 4158000 10687 1017271 318 Li-ion 1 359520 3932100 100 1
2008-10-26T22:10:48+0200 1225051848 Battery Not_charging 4158000 5812 1017271 318 Li-ion 1 660780 3932100 100 1
2008-10-26T22:12:49+0200 1225051969 Battery Not_charging 4155000 18562 1017271 316 Li-ion 1 206820 3932100 100 1
2008-10-26T22:14:50+0200 1225052090 Battery Not_charging 4158000 4875 1017271 316 Li-ion 1 787140 3932100 100 1
2008-10-26T22:16:50+0200 1225052210 Battery Not_charging 4158000 15750 1017271 316 Li-ion 1 243540 3932100 100 1
2008-10-26T22:18:51+0200 1225052331 Battery Not_charging 4158000 3375 1017271 316 Li-ion 1 1136220 3932100 100 1
2008-10-26T22:20:52+0200 1225052452 Battery Not_charging 4155000 5062 1017271 313 Li-ion 1 757080 3932100 100 1
2008-10-26T22:22:53+0200 1225052573 Battery Not_charging 4155000 8625 1017271 313 Li-ion 1 444180 3932100 100 1
2008-10-26T22:24:54+0200 1225052694 Battery Not_charging 4155000 3937 1017271 313 Li-ion 1 972540 3932100 100 1
2008-10-26T22:26:55+0200 1225052815 Battery Not_charging 4152000 16875 1017271 313 Li-ion 1 226860 3932100 100 1
2008-10-26T22:28:56+0200 1225052936 Battery Not_charging 4152000 36187 1017271 311 Li-ion 1 105720 3932100 99 1
2008-10-26T22:30:57+0200 1225053057 Battery Not_charging 4152000 7687 1017271 311 Li-ion 1 497520 3932100 99 1

Also with

$ cut -d ' ' -f13 energy2.txt|uniq -c
      6 100
      3 99
      4 98
     25 100
     24 99
     23 98
     14 97
      5 96
      4 95
      3 96
      1 97
     27 100
      4 99
     16 100
      2 99
      1 98
      2 97
      2 96
      2 95
      2 94
      2 95
      2 96
      2 97
     27 100
     24 99
     24 98
     20 97
     21 96
     18 95
     18 94
     20 93
     20 92
     17 91
     19 90
     19 89
     20 88
     17 87
     19 86
     15 85
     19 84
      9 83
      1 84
      1 86
      1 87
      1 88
      1 89
      1 90
      1 91
      2 92
      1 93

we can see how many 2-minute periods the battery spent in each energy level.

comment:31 Changed 6 years ago by lindi

I found a crude workaround: If battery capacity is less than 95% and the battery is in state "Not charging" I switch to usb host mode and back to device mode. After that battery switches back to "Charging" state and you should always have a full battery if you have left the phone to charge over night. My script to do this is very ugly but I thought I should mention it here anyway:

#!/bin/sh
set -e

dir="/sys/devices/platform/bq27000-battery.0/power_supply/bat"
if [ ! -d $dir ]; then
    dir="/sys/class/power_supply/battery"
fi
   
while true; do
    echo -n "`date -Iseconds` `date +%s`"
    for i in type status voltage_now current_now charge_full temp technology present time_to_empty_now time_to_full_now capacity online; do
        val="`cat $dir/$i | sed 's/ /_/'`"
        echo -n " $val"
    done
    val="`cut -d' ' -f2 /proc/loadavg`"
    echo -n " $val"
    echo ""
    if [ "`cat $dir/capacity`" -lt 95 ]; then
        if [ "`cat $dir/status`" = "Not charging" ]; then
            usbhost-start
            usbhost-stop
        fi
    fi
    sleep 120
done

comment:32 Changed 6 years ago by andy

  • HasPatchForReview unset

There's some hope this is fixed in recent andy-tracking kernels, we have a very different PMU driver in there. Please try to reproduce with an andy-tracking kernel from http://people.openmoko.org/andy ... there will be some other small breakage in there since /sys paths are changed around too.

comment:33 Changed 6 years ago by lindi

This seems to work in andy-tracking 9b2a35dd616a9fbe, thanks! Capacity is constantly 100% and current_now is 0.

comment:34 Changed 6 years ago by andy

  • Status changed from new to closed
  • Resolution set to fixed
  • Severity changed from critical to blocker

Great. I'm going to close this then, because we won't be backporting the ton of changes to PMU to 2.6.24 tree. Rootfs-es are going to need to start getting ready for running 2.6.28 stuff with changed sysfs etc.

comment:35 follow-ups: ↓ 37 ↓ 38 Changed 6 years ago by lindi

Please reopen this, I do not seem to have permissions to do it.

I can see this again with andy-tracking de473ca893c9285a.

2008-12-16T14:33:44+0200 1229430824 Battery Discharging 4160000 0 1003348 296 Li-ion 1 3932100 3932100 100 0 0.37
2008-12-16T14:35:45+0200 1229430945 Battery Discharging 4160000 0 1003348 296 Li-ion 1 3932100 3932100 100 0 0.24
2008-12-16T14:37:46+0200 1229431066 Battery Discharging 4160000 0 1003348 293 Li-ion 1 3932100 3932100 100 0 0.18
2008-12-16T14:39:47+0200 1229431187 Battery Discharging 4144000 31875 1003348 296 Li-ion 1 118980 3932100 100 0 0.16
2008-12-16T14:41:48+0200 1229431308 Battery Discharging 4155000 20062 1003348 296 Li-ion 1 188820 3932100 100 0 0.18
2008-12-16T14:43:49+0200 1229431429 Battery Discharging 4152000 12000 1003348 296 Li-ion 1 120060 3932100 100 0 0.12
2008-12-16T14:45:50+0200 1229431550 Battery Discharging 4152000 21562 1003348 296 Li-ion 1 175200 3932100 100 0 0.15
2008-12-16T14:47:51+0200 1229431671 Battery Discharging 4150000 29437 1003348 296 Li-ion 1 128220 3932100 99 0 0.12
2008-12-16T14:49:52+0200 1229431792 Battery Discharging 4121000 196875 1003348 306 Li-ion 1 19080 3932100 99 0 0.14
2008-12-16T14:51:53+0200 1229431913 Battery Discharging 4144000 13500 1003348 301 Li-ion 1 278100 3932100 99 0 0.13
2008-12-16T14:53:54+0200 1229432034 Battery Discharging 4147000 10500 1003348 301 Li-ion 1 357360 3932100 99 0 0.11
2008-12-16T14:55:55+0200 1229432156 Battery Discharging 4144000 27937 1003348 301 Li-ion 1 134160 3932100 99 0 0.07
2008-12-16T14:57:57+0200 1229432277 Battery Discharging 4144000 31875 1003348 301 Li-ion 1 117480 3932100 99 0 0.04
2008-12-16T14:59:58+0200 1229432398 Battery Discharging 4142000 20062 1003348 298 Li-ion 1 186480 3932100 99 0 0.02
2008-12-16T15:01:59+0200 1229432519 Battery Discharging 4144000 10687 1003348 298 Li-ion 1 349920 3932100 99 0 0.08
2008-12-16T15:04:00+0200 1229432640 Battery Discharging 4137000 10312 1003348 298 Li-ion 1 362340 3932100 98 0 0.06
2008-12-16T15:06:01+0200 1229432761 Battery Discharging 4142000 31687 1003348 298 Li-ion 1 117780 3932100 98 0 0.05
2008-12-16T15:08:02+0200 1229432882 Battery Discharging 4139000 31500 1003348 298 Li-ion 1 118440 3932100 98 0 0.04
2008-12-16T15:10:03+0200 1229433003 Battery Discharging 4118000 189000 1003348 301 Li-ion 1 19680 3932100 98 0 0.02
2008-12-16T15:12:04+0200 1229433124 Battery Discharging 4113000 197062 1003348 308 Li-ion 1 19080 3932100 98 0 0.03
2008-12-16T15:14:05+0200 1229433245 Battery Discharging 4108000 200625 1003348 311 Li-ion 1 18360 3932100 97 0 0.09
2008-12-16T15:16:06+0200 1229433366 Battery Discharging 4126000 48562 1003348 306 Li-ion 1 75720 3932100 97 0 0.09

It starts to charge again if I unplug and replug the USB cable.

comment:36 Changed 6 years ago by andy

  • Status changed from closed to reopened
  • Resolution fixed deleted

I sent this for Balaji to check.

comment:37 in reply to: ↑ 35 ; follow-up: ↓ 40 Changed 6 years ago by balajirrao

Hi lindi,

Some questions..

Battery starts discharging when connected to usb/adapter without the battery reaching 100% ? How long does the battery charge before this happens , and at what percentage (roughly) ?

Does the battery start discharging after capacity 100% and current 0 and before charger is unplugged and then discharges completely without charging being restarted ?

comment:38 in reply to: ↑ 35 ; follow-up: ↓ 39 Changed 6 years ago by balajirrao

Replying to lindi:

Please reopen this, I do not seem to have permissions to do it.

I can see this again with andy-tracking de473ca893c9285a.

2008-12-16T14:33:44+0200 1229430824 Battery Discharging 4160000 0 1003348 296 Li-ion 1 3932100 3932100 100 0 0.37
2008-12-16T14:35:45+0200 1229430945 Battery Discharging 4160000 0 1003348 296 Li-ion 1 3932100 3932100 100 0 0.24
2008-12-16T14:37:46+0200 1229431066 Battery Discharging 4160000 0 1003348 293 Li-ion 1 3932100 3932100 100 0 0.18

Battery full till here..

2008-12-16T14:39:47+0200 1229431187 Battery Discharging 4144000 31875 1003348 296 Li-ion 1 118980 3932100 100 0 0.16

Actual discharging begins here. currrent=31mA implies that that sys current requirement is more than what usb can provide and the rest is pulled in from the battery. So the total current pulled by the system is 531 mA ?? Or somehow < 500 mA flowing in from the USB ?

2008-12-16T14:41:48+0200 1229431308 Battery Discharging 4155000 20062 1003348 296 Li-ion 1 188820 3932100 100 0 0.18
2008-12-16T14:43:49+0200 1229431429 Battery Discharging 4152000 12000 1003348 296 Li-ion 1 120060 3932100 100 0 0.12
2008-12-16T14:45:50+0200 1229431550 Battery Discharging 4152000 21562 1003348 296 Li-ion 1 175200 3932100 100 0 0.15
2008-12-16T14:47:51+0200 1229431671 Battery Discharging 4150000 29437 1003348 296 Li-ion 1 128220 3932100 99 0 0.12
2008-12-16T14:49:52+0200 1229431792 Battery Discharging 4121000 196875 1003348 306 Li-ion 1 19080 3932100 99 0 0.14

Why does the current go up suddenly here ?? And the values are fluctuating.. Some problem with host not providing agreed current ?

2008-12-16T14:51:53+0200 1229431913 Battery Discharging 4144000 13500 1003348 301 Li-ion 1 278100 3932100 99 0 0.13
2008-12-16T14:53:54+0200 1229432034 Battery Discharging 4147000 10500 1003348 301 Li-ion 1 357360 3932100 99 0 0.11
2008-12-16T14:55:55+0200 1229432156 Battery Discharging 4144000 27937 1003348 301 Li-ion 1 134160 3932100 99 0 0.07
2008-12-16T14:57:57+0200 1229432277 Battery Discharging 4144000 31875 1003348 301 Li-ion 1 117480 3932100 99 0 0.04
2008-12-16T14:59:58+0200 1229432398 Battery Discharging 4142000 20062 1003348 298 Li-ion 1 186480 3932100 99 0 0.02
2008-12-16T15:01:59+0200 1229432519 Battery Discharging 4144000 10687 1003348 298 Li-ion 1 349920 3932100 99 0 0.08
2008-12-16T15:04:00+0200 1229432640 Battery Discharging 4137000 10312 1003348 298 Li-ion 1 362340 3932100 98 0 0.06
2008-12-16T15:06:01+0200 1229432761 Battery Discharging 4142000 31687 1003348 298 Li-ion 1 117780 3932100 98 0 0.05
2008-12-16T15:08:02+0200 1229432882 Battery Discharging 4139000 31500 1003348 298 Li-ion 1 118440 3932100 98 0 0.04
2008-12-16T15:10:03+0200 1229433003 Battery Discharging 4118000 189000 1003348 301 Li-ion 1 19680 3932100 98 0 0.02
2008-12-16T15:12:04+0200 1229433124 Battery Discharging 4113000 197062 1003348 308 Li-ion 1 19080 3932100 98 0 0.03
2008-12-16T15:14:05+0200 1229433245 Battery Discharging 4108000 200625 1003348 311 Li-ion 1 18360 3932100 97 0 0.09

Hmmm.. Occasional raise in current.. Weird..

2008-12-16T15:16:06+0200 1229433366 Battery Discharging 4126000 48562 1003348 306 Li-ion 1 75720 3932100 97 0 0.09
}}}
It starts to charge again if I unplug and replug the USB cable.

OK, let me try to reproduce the problem..

Can you please try with an ac adapter and see if you can reproduce it ?

Thanks!

comment:39 in reply to: ↑ 38 ; follow-up: ↓ 44 Changed 6 years ago by andy

Actual discharging begins here. currrent=31mA implies that that sys current requirement is more than what usb can provide and the rest is pulled in from the battery. So the total current pulled by the system is 531 mA ?? Or somehow < 500 mA flowing in from the USB ?

It's a good question, what is the USB current limit at this time, possibly only 100mA?

comment:40 in reply to: ↑ 37 ; follow-up: ↓ 42 Changed 6 years ago by lindi

Replying to balajirrao:

Battery starts discharging when connected to usb/adapter without the battery reaching 100% ? How long does the battery charge before this happens , and at what percentage (roughly) ?

I connected phone to usb port of my PC and the capacity was around 90%. Then the capacity went to 100% and slowly started to decrease.

Does the battery start discharging after capacity 100% and current 0 and before charger is unplugged and then discharges completely without charging being restarted ?

I did not witness current of 0 this time like I did with 9b2a35dd616a9fbe.

comment:41 follow-up: ↓ 43 Changed 6 years ago by lindi

[Still connected to PC and not ac adapter.]
I again saw that charging stops and current is > 0:

2008-12-16T20:50:05+0200 1229453405 Battery Charging 4165000 -21562 1003348 298 Li-ion 1 3932100 0 100 1 0.07
2008-12-16T20:52:06+0200 1229453526 Battery Charging 4165000 -22500 1003348 298 Li-ion 1 3932100 0 100 1 0.10
2008-12-16T20:54:08+0200 1229453648 Battery Not_charging 4163000 20250 1003348 298 Li-ion 1 187320 3932100 100 1 0.08
2008-12-16T20:56:09+0200 1229453769 Battery Not_charging 4160000 10312 1003348 298 Li-ion 1 367740 3932100 100 1 0.10
2008-12-16T20:58:10+0200 1229453890 Battery Not_charging 4160000 9750 1003348 298 Li-ion 1 388740 3932100 100 1 0.08

To me it seems that USB is providing 500mA but the phone still draws 10-20mA from the battery as can be seen above.

lindi@ginger:~$ cat /sys/class/i2c-adapter/i2c-0/0-0073/pcf50633-mbc/chgmode
bat-full 10
lindi@ginger:~$ cat /sys/class/i2c-adapter/i2c-0/0-0073/pcf50633-mbc/usb_curlim
500

comment:42 in reply to: ↑ 40 Changed 6 years ago by balajirrao

Replying to lindi:

Replying to balajirrao:

Battery starts discharging when connected to usb/adapter without the battery reaching 100% ? How long does the battery charge before this happens , and at what percentage (roughly) ?

I connected phone to usb port of my PC and the capacity was around 90%. Then the capacity went to 100% and slowly started to decrease.

Possible reason could be the auto_restart bit is 0. So charging does not resume once battery voltage falls below a threshold..

When this happens next (does it happen always ?), if you can get me dump_reg of pcf50633 it'll be awesome..

Does the battery start discharging after capacity 100% and current 0 and before charger is unplugged and then discharges completely without charging being restarted ?

I did not witness current of 0 this time like I did with 9b2a35dd616a9fbe.

OK.. That's interesting.. But in between the ~ 30 mA values in the logs we see a current consumption of some 190 mA. Typical of idle system. I wonder from where does it come.. Andy, any ideas ?

comment:43 in reply to: ↑ 41 Changed 6 years ago by balajirrao

Replying to lindi:

[Still connected to PC and not ac adapter.]
I again saw that charging stops and current is > 0:

Ok, that is interesting again! Can You please post the reg dump ? It's in the pcf50633 /sys folder..

2008-12-16T20:50:05+0200 1229453405 Battery Charging 4165000 -21562 1003348 298 Li-ion 1 3932100 0 100 1 0.07
2008-12-16T20:52:06+0200 1229453526 Battery Charging 4165000 -22500 1003348 298 Li-ion 1 3932100 0 100 1 0.10
2008-12-16T20:54:08+0200 1229453648 Battery Not_charging 4163000 20250 1003348 298 Li-ion 1 187320 3932100 100 1 0.08
2008-12-16T20:56:09+0200 1229453769 Battery Not_charging 4160000 10312 1003348 298 Li-ion 1 367740 3932100 100 1 0.10
2008-12-16T20:58:10+0200 1229453890 Battery Not_charging 4160000 9750 1003348 298 Li-ion 1 388740 3932100 100 1 0.08

To me it seems that USB is providing 500mA but the phone still draws 10-20mA from the battery as can be seen above.

lindi@ginger:~$ cat /sys/class/i2c-adapter/i2c-0/0-0073/pcf50633-mbc/chgmode
bat-full 10
lindi@ginger:~$ cat /sys/class/i2c-adapter/i2c-0/0-0073/pcf50633-mbc/usb_curlim
500

Hmmm..

I'll let me phone charge through the night.. Let me see..

comment:44 in reply to: ↑ 39 Changed 6 years ago by balajirrao

Replying to andy:

Actual discharging begins here. currrent=31mA implies that that sys current requirement is more than what usb can provide and the rest is pulled in from the battery. So the total current pulled by the system is 531 mA ?? Or somehow < 500 mA flowing in from the USB ?

It's a good question, what is the USB current limit at this time, possibly only 100mA?

Hmmm.. Don't think so. Some other weird thing going on here.. :(

comment:45 follow-up: ↓ 46 Changed 6 years ago by lindi

I can see this also with AC adapter:

2008-12-16T21:06:15+0200 1229454375 Battery Discharging 4139000 121687 1003348 298 Li-ion 1 31080 3932100 100 0 0.11
2008-12-16T21:08:16+0200 1229454496 Battery Discharging 4134000 120750 1003348 298 Li-ion 1 31200 3932100 99 0 0.07
2008-12-16T21:10:17+0200 1229454617 Battery Charging 4160000 -57750 1003348 296 Li-ion 1 3932100 0 100 1 0.13
2008-12-16T21:12:19+0200 1229454739 Battery Charging 4163000 -48000 1003348 293 Li-ion 1 3932100 0 100 1 0.12
2008-12-16T21:14:20+0200 1229454860 Battery Charging 4163000 -40312 1003348 293 Li-ion 1 3932100 0 100 1 0.08
2008-12-16T21:16:21+0200 1229454981 Battery Charging 4163000 -36750 1003348 293 Li-ion 1 3932100 0 100 1 0.05
2008-12-16T21:18:22+0200 1229455103 Battery Charging 4163000 -28687 1003348 293 Li-ion 1 3932100 0 100 1 0.15
2008-12-16T21:20:24+0200 1229455224 Battery Charging 4165000 -27937 1003348 293 Li-ion 1 3932100 0 100 1 0.17
2008-12-16T21:22:25+0200 1229455345 Battery Charging 4165000 -26437 1003348 293 Li-ion 1 3932100 0 100 1 0.12
2008-12-16T21:24:26+0200 1229455466 Battery Charging 4165000 -21000 1003348 293 Li-ion 1 3932100 0 100 1 0.09
2008-12-16T21:26:27+0200 1229455588 Battery Charging 4165000 -22687 1003348 293 Li-ion 1 3932100 0 100 1 0.10
2008-12-16T21:28:29+0200 1229455709 Battery Not_charging 4163000 10312 1003348 293 Li-ion 1 367860 3932100 100 1 0.21
2008-12-16T21:30:30+0200 1229455830 Battery Not_charging 4160000 12375 1003348 293 Li-ion 1 311220 3932100 100 1 0.15

lindi@ginger:~$ cat /sys/class/i2c-adapter/i2c-0/0-0073/pcf50633-mbc/chgmode
bat-full 10
lindi@ginger:~$ cat /sys/class/i2c-adapter/i2c-0/0-0073/pcf50633-mbc/usb_curlim
1000
lindi@ginger:~$ sudo cat /sys/class/i2c-adapter/i2c-0/0-0073/dump_regs
13 84 80 00 00 00 00 80 00 00 00 00 00 d3 aa 4a 
15 47 ff 01 00 01 00 00 02 08 6b 01 00 0a 1b 02 
00 22 2f 01 00 22 00 00 02 00 05 05 11 18 02 18 
02 15 00 17 01 15 01 15 01 12 01 00 00 ff 3f 00 
00 07 7b e7 28 19 ff ff 00 02 00 33 2a f0 19 00 
00 08 00 00 7e 01 00 f3 00 35 31 19 02 16 11 08 
00 20 06 05 05 11 08 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 a4 e2 59 0a 27 60 5b b0 80 
00 d8 03 05 00 01 00 03 f7 ff 1a 67 ff 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

comment:46 in reply to: ↑ 45 ; follow-up: ↓ 47 Changed 6 years ago by andy

Replying to lindi:

I can see this also with AC adapter:

2008-12-16T21:06:15+0200 1229454375 Battery Discharging 4139000 121687 1003348 298 Li-ion 1 31080 3932100 100 0 0.11
2008-12-16T21:08:16+0200 1229454496 Battery Discharging 4134000 120750 1003348 298 Li-ion 1 31200 3932100 99 0 0.07
2008-12-16T21:10:17+0200 1229454617 Battery Charging 4160000 -57750 1003348 296 Li-ion 1 3932100 0 100 1 0.13
2008-12-16T21:12:19+0200 1229454739 Battery Charging 4163000 -48000 1003348 293 Li-ion 1 3932100 0 100 1 0.12
2008-12-16T21:14:20+0200 1229454860 Battery Charging 4163000 -40312 1003348 293 Li-ion 1 3932100 0 100 1 0.08
2008-12-16T21:16:21+0200 1229454981 Battery Charging 4163000 -36750 1003348 293 Li-ion 1 3932100 0 100 1 0.05
2008-12-16T21:18:22+0200 1229455103 Battery Charging 4163000 -28687 1003348 293 Li-ion 1 3932100 0 100 1 0.15
2008-12-16T21:20:24+0200 1229455224 Battery Charging 4165000 -27937 1003348 293 Li-ion 1 3932100 0 100 1 0.17
2008-12-16T21:22:25+0200 1229455345 Battery Charging 4165000 -26437 1003348 293 Li-ion 1 3932100 0 100 1 0.12
2008-12-16T21:24:26+0200 1229455466 Battery Charging 4165000 -21000 1003348 293 Li-ion 1 3932100 0 100 1 0.09
2008-12-16T21:26:27+0200 1229455588 Battery Charging 4165000 -22687 1003348 293 Li-ion 1 3932100 0 100 1 0.10
2008-12-16T21:28:29+0200 1229455709 Battery Not_charging 4163000 10312 1003348 293 Li-ion 1 367860 3932100 100 1 0.21

Not really sure that's evil. The GSM unit is connected directly to battery... the charger rightly decided the battery was full and stopped charging, then the GSM unit is eating 10mA direct from battery. I guess after some interval the charger will see if it should charge again.

lindi@ginger:~$ cat /sys/class/i2c-adapter/i2c-0/0-0073/pcf50633-mbc/chgmode
bat-full 10

Yes it makes sense.

00 07 7b e7 28 19 ff ff 00 02 00 33 2a f0 19 00

Charger is enabled here.

comment:47 in reply to: ↑ 46 ; follow-up: ↓ 48 Changed 6 years ago by lindi

Replying to andy:

2008-12-16T21:28:29+0200 1229455709 Battery Not_charging 4163000 10312 1003348 293 Li-ion 1 367860 3932100 100 1 0.21

Not really sure that's evil. The GSM unit is connected directly to battery... the charger rightly decided the battery was full and stopped charging, then the GSM unit is eating 10mA direct from battery. I guess after some interval the charger will see if it should charge again.

It should charge yes but it does not seem to since the capacity starts to go down:

2008-12-16T21:30:30+0200 1229455830 Battery Not_charging 4160000 12375 1003348 293 Li-ion 1 311220 3932100 100 1 0.15
2008-12-16T21:32:31+0200 1229455951 Battery Not_charging 4158000 16687 1003348 293 Li-ion 1 227160 3932100 100 1 0.13
2008-12-16T21:34:32+0200 1229456072 Battery Not_charging 4155000 58875 1003348 293 Li-ion 1 64320 3932100 100 1 0.19
2008-12-16T21:36:34+0200 1229456194 Battery Not_charging 4158000 11625 1003348 293 Li-ion 1 388380 3932100 100 1 0.18
2008-12-16T21:38:35+0200 1229456315 Battery Not_charging 4158000 10312 1003348 293 Li-ion 1 367020 3932100 100 1 0.11
2008-12-16T21:40:36+0200 1229456436 Battery Not_charging 4158000 20250 1003348 293 Li-ion 1 186840 3932100 100 1 0.08
2008-12-16T21:42:37+0200 1229456557 Battery Not_charging 4158000 21937 1003348 293 Li-ion 1 172380 3932100 100 1 0.05
2008-12-16T21:44:39+0200 1229456679 Battery Not_charging 4158000 10312 1003348 293 Li-ion 1 366540 3932100 100 1 0.03
2008-12-16T21:46:40+0200 1229456800 Battery Not_charging 4155000 20250 1003348 293 Li-ion 1 186600 3932100 100 1 0.09
2008-12-16T21:48:41+0200 1229456921 Battery Not_charging 4155000 20625 1003348 293 Li-ion 1 183120 3932100 100 1 0.06
2008-12-16T21:50:42+0200 1229457042 Battery Not_charging 4155000 10312 1003348 293 Li-ion 1 366180 3932100 100 1 0.03
2008-12-16T21:52:44+0200 1229457164 Battery Not_charging 4155000 9937 1003348 293 Li-ion 1 291720 3932100 99 1 0.05
2008-12-16T21:54:45+0200 1229457285 Battery Not_charging 4155000 15375 1003348 296 Li-ion 1 245400 3932100 99 1 0.47
2008-12-16T21:56:47+0200 1229457407 Battery Not_charging 4155000 10312 1003348 296 Li-ion 1 365700 3932100 99 1 0.71
2008-12-16T21:58:48+0200 1229457528 Battery Not_charging 4152000 13875 1003348 298 Li-ion 1 358980 3932100 99 1 0.82
2008-12-16T22:00:50+0200 1229457650 Battery Not_charging 4152000 10312 1003348 298 Li-ion 1 365340 3932100 99 1 0.93
2008-12-16T22:02:52+0200 1229457772 Battery Not_charging 4152000 19500 1003348 301 Li-ion 1 193140 3932100 99 1 1.03
2008-12-16T22:04:53+0200 1229457893 Battery Not_charging 4144000 43500 1003348 303 Li-ion 1 189180 3932100 99 1 0.74
2008-12-16T22:06:55+0200 1229458015 Battery Not_charging 4121000 188437 1003348 313 Li-ion 1 19860 3932100 99 1 0.53
2008-12-16T22:08:56+0200 1229458136 Battery Not_charging 4118000 189937 1003348 316 Li-ion 1 19620 3932100 98 1 0.45
2008-12-16T22:10:57+0200 1229458257 Battery Not_charging 4110000 206062 1003348 321 Li-ion 1 18060 3932100 98 1 0.33

00 07 7b e7 28 19 ff ff 00 02 00 33 2a f0 19 00

Charger is enabled here.

I get exactly the same line from dump_regs even now that capacity is
already at 97%. Why is battery capacity dropping even if charger is
enabled?

comment:48 in reply to: ↑ 47 Changed 6 years ago by balajirrao

Replying to lindi:

Replying to andy:

2008-12-16T21:28:29+0200 1229455709 Battery Not_charging 4163000 10312 1003348 293 Li-ion 1 367860 3932100 100 1 0.21

Not really sure that's evil. The GSM unit is connected directly to battery... the charger rightly decided the battery was full and stopped charging, then the GSM unit is eating 10mA direct from battery. I guess after some interval the charger will see if it should charge again.

It should charge yes but it does not seem to since the capacity starts to go down:

2008-12-16T21:30:30+0200 1229455830 Battery Not_charging 4160000 12375 1003348 293 Li-ion 1 311220 3932100 100 1 0.15
2008-12-16T21:32:31+0200 1229455951 Battery Not_charging 4158000 16687 1003348 293 Li-ion 1 227160 3932100 100 1 0.13
2008-12-16T21:34:32+0200 1229456072 Battery Not_charging 4155000 58875 1003348 293 Li-ion 1 64320 3932100 100 1 0.19
2008-12-16T21:36:34+0200 1229456194 Battery Not_charging 4158000 11625 1003348 293 Li-ion 1 388380 3932100 100 1 0.18
2008-12-16T21:38:35+0200 1229456315 Battery Not_charging 4158000 10312 1003348 293 Li-ion 1 367020 3932100 100 1 0.11
2008-12-16T21:40:36+0200 1229456436 Battery Not_charging 4158000 20250 1003348 293 Li-ion 1 186840 3932100 100 1 0.08
2008-12-16T21:42:37+0200 1229456557 Battery Not_charging 4158000 21937 1003348 293 Li-ion 1 172380 3932100 100 1 0.05
2008-12-16T21:44:39+0200 1229456679 Battery Not_charging 4158000 10312 1003348 293 Li-ion 1 366540 3932100 100 1 0.03
2008-12-16T21:46:40+0200 1229456800 Battery Not_charging 4155000 20250 1003348 293 Li-ion 1 186600 3932100 100 1 0.09
2008-12-16T21:48:41+0200 1229456921 Battery Not_charging 4155000 20625 1003348 293 Li-ion 1 183120 3932100 100 1 0.06
2008-12-16T21:50:42+0200 1229457042 Battery Not_charging 4155000 10312 1003348 293 Li-ion 1 366180 3932100 100 1 0.03
2008-12-16T21:52:44+0200 1229457164 Battery Not_charging 4155000 9937 1003348 293 Li-ion 1 291720 3932100 99 1 0.05
2008-12-16T21:54:45+0200 1229457285 Battery Not_charging 4155000 15375 1003348 296 Li-ion 1 245400 3932100 99 1 0.47
2008-12-16T21:56:47+0200 1229457407 Battery Not_charging 4155000 10312 1003348 296 Li-ion 1 365700 3932100 99 1 0.71
2008-12-16T21:58:48+0200 1229457528 Battery Not_charging 4152000 13875 1003348 298 Li-ion 1 358980 3932100 99 1 0.82
2008-12-16T22:00:50+0200 1229457650 Battery Not_charging 4152000 10312 1003348 298 Li-ion 1 365340 3932100 99 1 0.93
2008-12-16T22:02:52+0200 1229457772 Battery Not_charging 4152000 19500 1003348 301 Li-ion 1 193140 3932100 99 1 1.03
2008-12-16T22:04:53+0200 1229457893 Battery Not_charging 4144000 43500 1003348 303 Li-ion 1 189180 3932100 99 1 0.74
2008-12-16T22:06:55+0200 1229458015 Battery Not_charging 4121000 188437 1003348 313 Li-ion 1 19860 3932100 99 1 0.53
2008-12-16T22:08:56+0200 1229458136 Battery Not_charging 4118000 189937 1003348 316 Li-ion 1 19620 3932100 98 1 0.45
2008-12-16T22:10:57+0200 1229458257 Battery Not_charging 4110000 206062 1003348 321 Li-ion 1 18060 3932100 98 1 0.33

00 07 7b e7 28 19 ff ff 00 02 00 33 2a f0 19 00

Charger is enabled here.

I get exactly the same line from dump_regs even now that capacity is
already at 97%. Why is battery capacity dropping even if charger is
enabled?

autores = 1 from the dump => supposed to restart charging at 96% of vbatmax. vbatmax (reg 0x44) is defined as 4.0 V. So, it expects vbat to come to 3.84 V - which might never happen ? Seeing the specs - table 93 - we can increase the value of vbatmax upto 4.3 V ? Can it be useful here ?

comment:49 follow-up: ↓ 50 Changed 6 years ago by andy

lindi charger is quite complex state machine, in which it can do various steps like wait or fast-charge and so on. If the charger is disabled, it would turn all of it off and be certain it would never charge. When the charger is enabled, it just gives it opportunity to charge depending on its "program".

Balaji, yes it seems Vth(res) is too low. It's not that it would "never happen" to reach 3.84V but it will require great deal of discharge pointlessly.

We can either disable autostop so BATFULL just continues to be in constant current charge mode (not good for battery for permanently tethered device I guess), or set MBCC2 vmax (is it really this one that sets Vth(res)? I didn't see it actually say it) in mach_gta02.c regulator init stuff.

comment:50 in reply to: ↑ 49 Changed 6 years ago by balajirrao

Replying to andy:

lindi charger is quite complex state machine, in which it can do various steps like wait or fast-charge and so on. If the charger is disabled, it would turn all of it off and be certain it would never charge. When the charger is enabled, it just gives it opportunity to charge depending on its "program".

Balaji, yes it seems Vth(res) is too low. It's not that it would "never happen" to reach 3.84V but it will require great deal of discharge pointlessly.

We can either disable autostop so BATFULL just continues to be in constant current charge mode (not good for battery for permanently tethered device I guess), or set MBCC2 vmax (is it really this one that sets Vth(res)? I didn't see it actually say it) in mach_gta02.c regulator init stuff.

Yes, its MBCC2. Will set it to around (4.2 ~ 4.3) volts. Will be the first thing I'll try tomorrow morning. Hopefully it'll work..

comment:51 Changed 6 years ago by lindi

Do I understand it correctly: Since GSM chip is somehow directly connected to the battery there is no way to have battery sit idle if the phone is registered to GSM network and connected to wall charger? Do you have any idea if constant charging/discharging of the battery reduces battery lifetime significantly?

comment:52 Changed 6 years ago by werner

But is it really at 4.0V ? I looked at the sources of u-boot, Qi, and the
kernel, and they all agree that they set it to 4.2V and/or never change it
from there. I decoded the dump above and it says

44 MBCC2 = 0x28 -- MBC charger control 2

vbatcond

00 (0x0): 2_7V

vmax -- Vbat(float)prog

1010 (0xa): 4000+20*10 = 4200 mV

vresdebtime -- debounce time for Vth(RES)

0 (0x0): 32s

The tool for it is something I wrote a long time ago. It's in
http://svn.openmoko.org/developers/werner/greg/
To decode a raw dump of whitespace-separated hex bytes starting at
register 0 (like the one included above), run
./ds.pl
and paste the raw dump.

comment:53 Changed 6 years ago by sdhillon

I'm not sure if this actually helps, but I am running this in crontab:

  • * * * * root echo 500 > /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/force_usb_limit_dangerous
  • * * * * root echo -n "fast_cccv" > /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/chgmode

and it seems to cause the charger to kick back in when it stops.

comment:54 Changed 6 years ago by andy

Yeah Balaji Werner's right about the voltage, that value is shifted up a couple of bits.

It is still worth trying increasing this thing though because the voltage over discharge of the battery stays up for a long time and only decays slowly until you get near the end.

comment:55 Changed 6 years ago by werner

Unfortunately, since this is also the charging cut-off voltage,
there's not a lot of room for increase. With 4.2V, we're already
at the standard charge parameters of the cell (looking at the GTA01
cell's datasheet here). Hearsay has it that the cell won't mind
another 50-100mV, though ... (worst case should be that we trip
the protection circuit)

For an accurate "never let it drain below X%" rule, we probably
need the coulomb counter. So it sounds like a user space problem
after all :-)

comment:56 Changed 6 years ago by andy

sdhilion's userspace charger-kicking workaround is great -- but that's all it is. In the PMU, charging is completely autonomous and we need to work with that. The worse case is we use constant current to always juice the battery.

The reporter only shows decrease down to 97%, Balaji or lindi, please try to measure the capacity at which it bounces and starts charging again at 4.2V level and see what the problem actually looks like. It's clear from charger enable still being set that this is no longer the original issue that this bug was opened for: we can expect it to start charging again at some point... which point in terms of capacity is the big question.

comment:57 Changed 6 years ago by lindi

It's now already down to 82%! I put the phone to the USB port of my PC
at 20:42 and let it charge itself. At 22:44 it was fully charged and
then the capacity started to slowly go down:

2008-12-17T20:42:28+0200 1229539348 Battery Charging 4097000 -404062 1002277 246 Li-ion 1 3932100 2580 81 1 0.11
2008-12-17T20:44:29+0200 1229539469 Battery Charging 4105000 -403125 1002277 248 Li-ion 1 3932100 2520 83 1 0.11
2008-12-17T20:46:30+0200 1229539590 Battery Charging 4110000 -372187 1002277 253 Li-ion 1 3932100 2400 84 1 0.10
2008-12-17T20:48:30+0200 1229539710 Battery Charging 4123000 -412125 1002277 256 Li-ion 1 3932100 2040 85 1 0.06
2008-12-17T20:50:31+0200 1229539831 Battery Charging 4126000 -366375 1002277 261 Li-ion 1 3932100 2040 86 1 0.04
2008-12-17T20:52:32+0200 1229539952 Battery Charging 4131000 -345750 1002277 261 Li-ion 1 3932100 2040 87 1 0.04
2008-12-17T20:54:33+0200 1229540073 Battery Charging 4131000 -319125 1002277 263 Li-ion 1 3932100 2040 88 1 0.04
2008-12-17T20:56:34+0200 1229540194 Battery Charging 4137000 -287625 1002277 266 Li-ion 1 3932100 2040 89 1 0.04
2008-12-17T20:58:34+0200 1229540314 Battery Charging 4137000 -269437 1002277 266 Li-ion 1 3932100 2040 90 1 0.02
2008-12-17T21:00:35+0200 1229540435 Battery Charging 4139000 -242250 1002277 268 Li-ion 1 3932100 2040 91 1 0.08
2008-12-17T21:02:36+0200 1229540556 Battery Charging 4142000 -224625 1002277 268 Li-ion 1 3932100 2040 92 1 0.08
2008-12-17T21:04:37+0200 1229540677 Battery Charging 4144000 -204000 1002277 268 Li-ion 1 3932100 2040 93 1 0.05
2008-12-17T21:06:37+0200 1229540797 Battery Charging 4144000 -189187 1002277 271 Li-ion 1 3932100 1980 93 1 0.03
2008-12-17T21:08:38+0200 1229540918 Battery Charging 4147000 -175875 1002277 271 Li-ion 1 3932100 1980 94 1 0.01
2008-12-17T21:10:39+0200 1229541039 Battery Charging 4150000 -159562 1002277 271 Li-ion 1 3932100 1980 94 1 0.03
2008-12-17T21:12:40+0200 1229541160 Battery Charging 4150000 -149437 1002277 271 Li-ion 1 3932100 1980 95 1 0.02
2008-12-17T21:14:41+0200 1229541281 Battery Charging 4152000 -135375 1002277 271 Li-ion 1 3932100 1980 95 1 0.04
2008-12-17T21:16:41+0200 1229541401 Battery Charging 4152000 -126375 1002277 273 Li-ion 1 3932100 1980 96 1 0.02
2008-12-17T21:18:42+0200 1229541522 Battery Charging 4152000 -118687 1002277 273 Li-ion 1 3932100 1860 96 1 0.04
2008-12-17T21:20:43+0200 1229541643 Battery Charging 4155000 -107250 1002277 273 Li-ion 1 3932100 1860 96 1 0.02
2008-12-17T21:22:44+0200 1229541764 Battery Charging 4155000 -99562 1002277 273 Li-ion 1 3932100 0 100 1 0.01
2008-12-17T21:24:45+0200 1229541885 Battery Charging 4158000 -90750 1002277 273 Li-ion 1 3932100 0 100 1 0.00
2008-12-17T21:26:45+0200 1229542005 Battery Charging 4158000 -85125 1002277 273 Li-ion 1 3932100 0 100 1 0.00
2008-12-17T21:28:46+0200 1229542126 Battery Charging 4158000 -79125 1002277 273 Li-ion 1 3932100 0 100 1 0.02
2008-12-17T21:30:47+0200 1229542247 Battery Charging 4158000 -70875 1002277 273 Li-ion 1 3932100 0 100 1 0.08
2008-12-17T21:32:48+0200 1229542368 Battery Charging 4160000 -67875 1002277 273 Li-ion 1 3932100 0 100 1 0.05
2008-12-17T21:34:48+0200 1229542488 Battery Charging 4160000 -61687 1002277 273 Li-ion 1 3932100 0 100 1 0.04
2008-12-17T21:36:49+0200 1229542609 Battery Charging 4160000 -55500 1002277 273 Li-ion 1 3932100 0 100 1 0.04
2008-12-17T21:38:50+0200 1229542730 Battery Charging 4160000 -55312 1002277 273 Li-ion 1 3932100 0 100 1 0.02
2008-12-17T21:40:51+0200 1229542851 Battery Charging 4160000 -49687 1002277 271 Li-ion 1 3932100 0 100 1 0.02
2008-12-17T21:42:52+0200 1229542972 Battery Charging 4163000 -46687 1002277 271 Li-ion 1 3932100 0 100 1 0.01
2008-12-17T21:44:52+0200 1229543092 Battery Charging 4163000 -42937 1002277 271 Li-ion 1 3932100 0 100 1 0.07
2008-12-17T21:46:53+0200 1229543213 Battery Charging 4163000 -40687 1002277 271 Li-ion 1 3932100 0 100 1 0.04
2008-12-17T21:48:54+0200 1229543334 Battery Charging 4163000 -31687 1002277 273 Li-ion 1 3932100 0 100 1 0.04
2008-12-17T21:50:55+0200 1229543455 Battery Charging 4163000 -33187 1002277 273 Li-ion 1 3932100 0 100 1 0.02
2008-12-17T21:52:56+0200 1229543576 Battery Charging 4163000 -33375 1002277 271 Li-ion 1 3932100 0 100 1 0.04
2008-12-17T21:54:56+0200 1229543696 Battery Charging 4165000 -30750 1002277 271 Li-ion 1 3932100 0 100 1 0.02
2008-12-17T21:56:57+0200 1229543817 Battery Charging 4165000 -26062 1002277 271 Li-ion 1 3932100 0 100 1 0.03
2008-12-17T21:58:58+0200 1229543938 Battery Charging 4165000 -27750 1002277 271 Li-ion 1 3932100 0 100 1 0.01
2008-12-17T22:00:59+0200 1229544059 Battery Charging 4165000 -25500 1002277 271 Li-ion 1 3932100 0 100 1 0.02
2008-12-17T22:02:59+0200 1229544179 Battery Charging 4165000 -21187 1002277 271 Li-ion 1 3932100 0 100 1 0.01
2008-12-17T22:05:00+0200 1229544300 Battery Charging 4165000 -21750 1002277 271 Li-ion 1 3932100 0 100 1 0.00
2008-12-17T22:07:01+0200 1229544421 Battery Not_charging 4160000 11437 1002277 271 Li-ion 1 331380 3932100 100 1 0.01
2008-12-17T22:09:02+0200 1229544542 Battery Not_charging 4160000 13312 1002277 271 Li-ion 1 284640 3932100 100 1 0.01
2008-12-17T22:11:03+0200 1229544663 Battery Not_charging 4158000 15750 1002277 271 Li-ion 1 240480 3932100 100 1 0.00
2008-12-17T22:13:03+0200 1229544783 Battery Not_charging 4158000 10500 1002277 271 Li-ion 1 360600 3932100 100 1 0.00
2008-12-17T22:15:04+0200 1229544904 Battery Not_charging 4158000 9562 1002277 268 Li-ion 1 395700 3932100 100 1 0.07
2008-12-17T22:17:05+0200 1229545025 Battery Not_charging 4158000 20250 1002277 268 Li-ion 1 186780 3932100 100 1 0.04
2008-12-17T22:19:06+0200 1229545146 Battery Not_charging 4152000 42000 1002277 268 Li-ion 1 95580 3932100 100 1 0.04
2008-12-17T22:21:06+0200 1229545267 Battery Not_charging 4155000 10312 1002277 268 Li-ion 1 366420 3932100 100 1 0.02
2008-12-17T22:23:07+0200 1229545387 Battery Not_charging 4155000 20437 1002277 268 Li-ion 1 184800 3932100 100 1 0.02
2008-12-17T22:25:08+0200 1229545508 Battery Not_charging 4155000 20062 1002277 268 Li-ion 1 188160 3932100 100 1 0.03
2008-12-17T22:27:09+0200 1229545629 Battery Not_charging 4155000 9750 1002277 268 Li-ion 1 387000 3932100 100 1 0.03
2008-12-17T22:29:10+0200 1229545750 Battery Not_charging 4155000 10500 1002277 268 Li-ion 1 359220 3932100 100 1 0.02
2008-12-17T22:31:10+0200 1229545870 Battery Not_charging 4152000 9562 1002277 268 Li-ion 1 394320 3932100 99 1 0.06
2008-12-17T22:33:11+0200 1229545991 Battery Not_charging 4152000 9937 1002277 268 Li-ion 1 379320 3932100 99 1 0.03
2008-12-17T22:35:12+0200 1229546112 Battery Not_charging 4152000 10312 1002277 268 Li-ion 1 365280 3932100 99 1 0.03
2008-12-17T22:37:13+0200 1229546233 Battery Not_charging 4152000 10687 1002277 268 Li-ion 1 352380 3932100 99 1 0.03
2008-12-17T22:39:14+0200 1229546354 Battery Not_charging 4152000 11437 1002277 268 Li-ion 1 329160 3932100 99 1 0.01
2008-12-17T22:41:14+0200 1229546474 Battery Not_charging 4152000 10125 1002277 268 Li-ion 1 371640 3932100 99 1 0.00
2008-12-17T22:43:15+0200 1229546595 Battery Not_charging 4152000 9750 1002277 268 Li-ion 1 385800 3932100 99 1 0.01
2008-12-17T22:45:16+0200 1229546716 Battery Not_charging 4152000 10312 1002277 268 Li-ion 1 364560 3932100 99 1 0.08
2008-12-17T22:47:17+0200 1229546837 Battery Not_charging 4150000 10125 1002277 268 Li-ion 1 371220 3932100 99 1 0.05
2008-12-17T22:49:17+0200 1229546958 Battery Not_charging 4150000 9750 1002277 268 Li-ion 1 385320 3932100 99 1 0.03
2008-12-17T22:51:18+0200 1229547078 Battery Not_charging 4147000 12375 1002277 268 Li-ion 1 303360 3932100 99 1 0.03
2008-12-17T22:53:19+0200 1229547199 Battery Not_charging 4150000 11812 1002277 268 Li-ion 1 253380 3932100 99 1 0.03
2008-12-17T22:55:20+0200 1229547320 Battery Not_charging 4150000 10500 1002277 268 Li-ion 1 357240 3932100 99 1 0.02
2008-12-17T22:57:21+0200 1229547441 Battery Not_charging 4150000 10312 1002277 268 Li-ion 1 363600 3932100 99 1 0.00
2008-12-17T22:59:21+0200 1229547561 Battery Not_charging 4147000 19687 1002277 268 Li-ion 1 190440 3932100 99 1 0.01
2008-12-17T23:01:22+0200 1229547682 Battery Not_charging 4147000 10500 1002277 268 Li-ion 1 356880 3932100 99 1 0.08
2008-12-17T23:03:23+0200 1229547803 Battery Not_charging 4147000 11062 1002277 268 Li-ion 1 338580 3932100 99 1 0.05
2008-12-17T23:05:24+0200 1229547924 Battery Not_charging 4147000 10500 1002277 268 Li-ion 1 356520 3932100 99 1 0.03
2008-12-17T23:07:25+0200 1229548045 Battery Not_charging 4147000 10125 1002277 268 Li-ion 1 369600 3932100 99 1 0.02
2008-12-17T23:09:25+0200 1229548165 Battery Not_charging 4147000 10312 1002277 268 Li-ion 1 362760 3932100 99 1 0.01
2008-12-17T23:11:26+0200 1229548286 Battery Not_charging 4147000 10875 1002277 268 Li-ion 1 343860 3932100 99 1 0.03
2008-12-17T23:13:27+0200 1229548407 Battery Not_charging 4147000 13125 1002277 268 Li-ion 1 284820 3932100 99 1 0.02
2008-12-17T23:15:28+0200 1229548528 Battery Not_charging 4144000 11812 1002277 268 Li-ion 1 369000 3932100 99 1 0.09
2008-12-17T23:17:28+0200 1229548649 Battery Not_charging 4144000 10312 1002277 268 Li-ion 1 362160 3932100 99 1 0.09
2008-12-17T23:19:29+0200 1229548769 Battery Not_charging 4144000 19312 1002277 268 Li-ion 1 193320 3932100 98 1 0.07
2008-12-17T23:21:30+0200 1229548890 Battery Not_charging 4144000 9750 1002277 268 Li-ion 1 221100 3932100 98 1 0.04
2008-12-17T23:23:31+0200 1229549011 Battery Not_charging 4144000 10500 1002277 268 Li-ion 1 355200 3932100 98 1 0.02
2008-12-17T23:25:32+0200 1229549132 Battery Not_charging 4144000 11062 1002277 268 Li-ion 1 336960 3932100 98 1 0.01
2008-12-17T23:27:32+0200 1229549252 Battery Not_charging 4142000 20062 1002277 268 Li-ion 1 185700 3932100 98 1 0.00
2008-12-17T23:29:33+0200 1229549373 Battery Not_charging 4142000 10312 1002277 268 Li-ion 1 361260 3932100 98 1 0.02
2008-12-17T23:31:34+0200 1229549494 Battery Not_charging 4142000 10312 1002277 268 Li-ion 1 361020 3932100 98 1 0.08
2008-12-17T23:33:35+0200 1229549615 Battery Not_charging 4142000 21375 1002277 268 Li-ion 1 174120 3932100 98 1 0.06
2008-12-17T23:35:36+0200 1229549736 Battery Not_charging 4142000 10875 1002277 268 Li-ion 1 342060 3932100 98 1 0.03
2008-12-17T23:37:36+0200 1229549856 Battery Not_charging 4142000 9750 1002277 268 Li-ion 1 381420 3932100 98 1 0.03
2008-12-17T23:39:37+0200 1229549977 Battery Not_charging 4142000 13875 1002277 268 Li-ion 1 267900 3932100 98 1 0.02
2008-12-17T23:41:38+0200 1229550098 Battery Not_charging 4142000 15000 1002277 268 Li-ion 1 247740 3932100 98 1 0.00
2008-12-17T23:43:39+0200 1229550219 Battery Not_charging 4139000 11625 1002277 268 Li-ion 1 319500 3932100 98 1 0.00
2008-12-17T23:45:40+0200 1229550340 Battery Not_charging 4139000 10687 1002277 268 Li-ion 1 347340 3932100 98 1 0.08
2008-12-17T23:47:40+0200 1229550460 Battery Not_charging 4139000 21000 1002277 268 Li-ion 1 176700 3932100 98 1 0.08
2008-12-17T23:49:41+0200 1229550581 Battery Not_charging 4139000 9750 1002277 268 Li-ion 1 380520 3932100 98 1 0.06
2008-12-17T23:51:42+0200 1229550702 Battery Not_charging 4137000 36562 1002277 268 Li-ion 1 101400 3932100 98 1 0.04
2008-12-17T23:53:43+0200 1229550823 Battery Not_charging 4137000 25687 1002277 268 Li-ion 1 144240 3932100 98 1 0.03
2008-12-17T23:55:43+0200 1229550943 Battery Not_charging 4139000 17812 1002277 268 Li-ion 1 207900 3932100 98 1 0.02
2008-12-17T23:57:44+0200 1229551064 Battery Not_charging 4139000 10500 1002277 268 Li-ion 1 352560 3932100 98 1 0.01
2008-12-17T23:59:45+0200 1229551185 Battery Not_charging 4137000 9750 1002277 268 Li-ion 1 379620 3932100 98 1 0.00
2008-12-18T00:01:46+0200 1229551306 Battery Not_charging 4137000 11062 1002277 268 Li-ion 1 334380 3932100 98 1 0.10
2008-12-18T00:03:47+0200 1229551427 Battery Not_charging 4137000 11062 1002277 268 Li-ion 1 334260 3932100 98 1 0.06
2008-12-18T00:05:47+0200 1229551547 Battery Not_charging 4137000 10312 1002277 268 Li-ion 1 358380 3932100 97 1 0.07
2008-12-18T00:07:48+0200 1229551668 Battery Not_charging 4134000 10125 1002277 268 Li-ion 1 364860 3932100 97 1 0.05
2008-12-18T00:09:49+0200 1229551789 Battery Not_charging 4137000 9937 1002277 268 Li-ion 1 371640 3932100 97 1 0.03
2008-12-18T00:11:50+0200 1229551910 Battery Not_charging 4137000 10500 1002277 268 Li-ion 1 351600 3932100 97 1 0.03
2008-12-18T00:13:50+0200 1229552031 Battery Not_charging 4137000 10875 1002277 268 Li-ion 1 339360 3932100 97 1 0.01
2008-12-18T00:15:51+0200 1229552151 Battery Not_charging 4134000 20437 1002277 268 Li-ion 1 180480 3932100 97 1 0.05
2008-12-18T00:17:52+0200 1229552272 Battery Not_charging 4134000 10500 1002277 268 Li-ion 1 317160 3932100 97 1 0.05
2008-12-18T00:19:53+0200 1229552393 Battery Not_charging 4134000 11250 1002277 268 Li-ion 1 327660 3932100 97 1 0.03
2008-12-18T00:21:54+0200 1229552514 Battery Not_charging 4129000 39750 1002277 268 Li-ion 1 92640 3932100 97 1 0.01
2008-12-18T00:23:54+0200 1229552634 Battery Not_charging 4134000 10500 1002277 268 Li-ion 1 306780 3932100 97 1 0.03
2008-12-18T00:25:55+0200 1229552755 Battery Not_charging 4134000 10125 1002277 268 Li-ion 1 363420 3932100 97 1 0.02
2008-12-18T00:27:56+0200 1229552876 Battery Not_charging 4131000 18187 1002277 268 Li-ion 1 202200 3932100 97 1 0.02
2008-12-18T00:29:57+0200 1229552997 Battery Not_charging 4131000 10125 1002277 271 Li-ion 1 338040 3932100 97 1 0.01
2008-12-18T00:31:58+0200 1229553118 Battery Not_charging 4131000 9562 1002277 268 Li-ion 1 384240 3932100 97 1 0.07
2008-12-18T00:33:58+0200 1229553238 Battery Not_charging 4131000 21187 1002277 271 Li-ion 1 173400 3932100 97 1 0.05
2008-12-18T00:35:59+0200 1229553359 Battery Not_charging 4131000 20062 1002277 268 Li-ion 1 183000 3932100 97 1 0.03
2008-12-18T00:38:00+0200 1229553480 Battery Not_charging 4131000 9937 1002277 268 Li-ion 1 369300 3932100 97 1 0.02
2008-12-18T00:40:01+0200 1229553601 Battery Not_charging 4131000 22687 1002277 271 Li-ion 1 161700 3932100 97 1 0.02
2008-12-18T00:42:01+0200 1229553722 Battery Not_charging 4131000 20062 1002277 271 Li-ion 1 182760 3932100 97 1 0.01
2008-12-18T00:44:02+0200 1229553842 Battery Not_charging 4129000 24562 1002277 268 Li-ion 1 149220 3932100 97 1 0.01
2008-12-18T00:46:03+0200 1229553963 Battery Not_charging 4129000 10312 1002277 271 Li-ion 1 296040 3932100 97 1 0.00
2008-12-18T00:48:04+0200 1229554084 Battery Not_charging 4129000 12187 1002277 271 Li-ion 1 300480 3932100 97 1 0.08
2008-12-18T00:50:05+0200 1229554205 Battery Not_charging 4129000 11625 1002277 268 Li-ion 1 314880 3932100 96 1 0.05
2008-12-18T00:52:05+0200 1229554325 Battery Not_charging 4129000 10125 1002277 271 Li-ion 1 375300 3932100 96 1 0.03
2008-12-18T00:54:06+0200 1229554446 Battery Not_charging 4129000 18000 1002277 271 Li-ion 1 203160 3932100 96 1 0.02
2008-12-18T00:56:07+0200 1229554567 Battery Not_charging 4129000 10312 1002277 271 Li-ion 1 354360 3932100 96 1 0.04
2008-12-18T00:58:08+0200 1229554688 Battery Not_charging 4129000 9750 1002277 271 Li-ion 1 374700 3932100 96 1 0.02
2008-12-18T01:00:09+0200 1229554809 Battery Not_charging 4129000 20250 1002277 271 Li-ion 1 180360 3932100 96 1 0.01
2008-12-18T01:02:09+0200 1229554929 Battery Not_charging 4126000 10500 1002277 271 Li-ion 1 347640 3932100 96 1 0.06
2008-12-18T01:04:10+0200 1229555050 Battery Not_charging 4126000 9937 1002277 271 Li-ion 1 367200 3932100 96 1 0.05
2008-12-18T01:06:11+0200 1229555171 Battery Not_charging 4126000 11625 1002277 271 Li-ion 1 313740 3932100 96 1 0.03
2008-12-18T01:08:12+0200 1229555292 Battery Not_charging 4126000 12750 1002277 271 Li-ion 1 285960 3932100 96 1 0.02
2008-12-18T01:10:13+0200 1229555413 Battery Not_charging 4126000 9750 1002277 268 Li-ion 1 373800 3932100 96 1 0.01
2008-12-18T01:12:13+0200 1229555533 Battery Not_charging 4126000 10312 1002277 268 Li-ion 1 353280 3932100 96 1 0.00
2008-12-18T01:14:14+0200 1229555654 Battery Not_charging 4126000 15937 1002277 268 Li-ion 1 228480 3932100 96 1 0.01
2008-12-18T01:16:15+0200 1229555775 Battery Not_charging 4126000 13125 1002277 268 Li-ion 1 277320 3932100 96 1 0.02
2008-12-18T01:18:16+0200 1229555896 Battery Not_charging 4126000 10500 1002277 268 Li-ion 1 346500 3932100 96 1 0.09
2008-12-18T01:20:16+0200 1229556016 Battery Not_charging 4123000 20625 1002277 268 Li-ion 1 176340 3932100 96 1 0.06
2008-12-18T01:22:17+0200 1229556137 Battery Not_charging 4123000 20437 1002277 268 Li-ion 1 177900 3932100 96 1 0.03
2008-12-18T01:24:18+0200 1229556258 Battery Not_charging 4121000 39375 1002277 268 Li-ion 1 92280 3932100 96 1 0.02
2008-12-18T01:26:19+0200 1229556379 Battery Not_charging 4123000 10500 1002277 268 Li-ion 1 345780 3932100 96 1 0.02
2008-12-18T01:28:20+0200 1229556500 Battery Not_charging 4123000 20625 1002277 268 Li-ion 1 175980 3932100 96 1 0.01
2008-12-18T01:30:20+0200 1229556620 Battery Not_charging 4123000 10500 1002277 268 Li-ion 1 345600 3932100 96 1 0.02
2008-12-18T01:32:21+0200 1229556741 Battery Not_charging 4123000 10500 1002277 268 Li-ion 1 345420 3932100 96 1 0.04
2008-12-18T01:34:22+0200 1229556862 Battery Not_charging 4121000 17625 1002277 268 Li-ion 1 205680 3932100 96 1 0.05
2008-12-18T01:36:23+0200 1229556983 Battery Not_charging 4121000 10312 1002277 268 Li-ion 1 351360 3932100 96 1 0.03
2008-12-18T01:38:23+0200 1229557104 Battery Not_charging 4121000 12187 1002277 268 Li-ion 1 297180 3932100 96 1 0.03
2008-12-18T01:40:24+0200 1229557224 Battery Not_charging 4118000 12750 1002277 268 Li-ion 1 284040 3932100 96 1 0.02
2008-12-18T01:42:25+0200 1229557345 Battery Not_charging 4121000 17625 1002277 268 Li-ion 1 205380 3932100 95 1 0.02
2008-12-18T01:44:26+0200 1229557466 Battery Not_charging 4121000 10125 1002277 268 Li-ion 1 357360 3932100 95 1 0.01
2008-12-18T01:46:27+0200 1229557587 Battery Not_charging 4121000 11625 1002277 268 Li-ion 1 311040 3932100 95 1 0.02
2008-12-18T01:48:27+0200 1229557707 Battery Not_charging 4121000 21562 1002277 268 Li-ion 1 332460 3932100 95 1 0.07
2008-12-18T01:50:28+0200 1229557828 Battery Not_charging 4121000 10312 1002277 268 Li-ion 1 350460 3932100 95 1 0.04
2008-12-18T01:52:29+0200 1229557949 Battery Not_charging 4121000 10500 1002277 268 Li-ion 1 343980 3932100 95 1 0.04
2008-12-18T01:54:30+0200 1229558070 Battery Not_charging 4116000 45937 1002277 268 Li-ion 1 350100 3932100 95 1 0.02
2008-12-18T01:56:31+0200 1229558191 Battery Not_charging 4118000 21562 1002277 268 Li-ion 1 167280 3932100 95 1 0.02
2008-12-18T01:58:31+0200 1229558311 Battery Not_charging 4118000 10875 1002277 268 Li-ion 1 331620 3932100 95 1 0.01
2008-12-18T02:00:32+0200 1229558432 Battery Not_charging 4118000 13687 1002277 268 Li-ion 1 315180 3932100 95 1 0.02
2008-12-18T02:02:33+0200 1229558553 Battery Not_charging 4118000 15937 1002277 268 Li-ion 1 226080 3932100 95 1 0.05
2008-12-18T02:04:34+0200 1229558674 Battery Not_charging 4118000 9750 1002277 268 Li-ion 1 369420 3932100 95 1 0.04
2008-12-18T02:06:35+0200 1229558795 Battery Not_charging 4116000 10125 1002277 268 Li-ion 1 355620 3932100 95 1 0.02
2008-12-18T02:08:35+0200 1229558915 Battery Not_charging 4116000 10312 1002277 268 Li-ion 1 349020 3932100 95 1 0.03
2008-12-18T02:10:36+0200 1229559036 Battery Not_charging 4116000 9562 1002277 268 Li-ion 1 188100 3932100 95 1 0.02
2008-12-18T02:12:37+0200 1229559157 Battery Not_charging 4116000 10125 1002277 268 Li-ion 1 355140 3932100 95 1 0.02
2008-12-18T02:14:38+0200 1229559278 Battery Not_charging 4116000 9937 1002277 268 Li-ion 1 361680 3932100 95 1 0.01
2008-12-18T02:16:38+0200 1229559399 Battery Not_charging 4113000 20625 1002277 268 Li-ion 1 354840 3932100 95 1 0.00
2008-12-18T02:18:39+0200 1229559519 Battery Not_charging 4116000 10312 1002277 268 Li-ion 1 348300 3932100 95 1 0.04
2008-12-18T02:20:40+0200 1229559640 Battery Not_charging 4116000 9750 1002277 268 Li-ion 1 368160 3932100 95 1 0.05
2008-12-18T02:22:41+0200 1229559761 Battery Not_charging 4113000 19312 1002277 268 Li-ion 1 308700 3932100 95 1 0.03
2008-12-18T02:24:42+0200 1229559882 Battery Not_charging 4116000 11437 1002277 268 Li-ion 1 313620 3932100 95 1 0.03
2008-12-18T02:26:42+0200 1229560002 Battery Not_charging 4113000 10500 1002277 268 Li-ion 1 341340 3932100 95 1 0.02
2008-12-18T02:28:43+0200 1229560123 Battery Not_charging 4113000 10312 1002277 268 Li-ion 1 353820 3932100 94 1 0.00
2008-12-18T02:30:44+0200 1229560244 Battery Not_charging 4110000 11625 1002277 268 Li-ion 1 307980 3932100 94 1 0.01
2008-12-18T02:32:45+0200 1229560365 Battery Not_charging 4113000 10687 1002277 268 Li-ion 1 334860 3932100 94 1 0.02
2008-12-18T02:34:46+0200 1229560486 Battery Not_charging 4113000 12000 1002277 268 Li-ion 1 298140 3932100 94 1 0.01
2008-12-18T02:36:46+0200 1229560606 Battery Not_charging 4113000 10125 1002277 268 Li-ion 1 353160 3932100 94 1 0.03
2008-12-18T02:38:47+0200 1229560727 Battery Not_charging 4113000 10312 1002277 268 Li-ion 1 346620 3932100 94 1 0.03
2008-12-18T02:40:48+0200 1229560848 Battery Not_charging 4110000 10875 1002277 268 Li-ion 1 328560 3932100 94 1 0.03
2008-12-18T02:42:49+0200 1229560969 Battery Not_charging 4113000 11812 1002277 268 Li-ion 1 302340 3932100 94 1 0.02
2008-12-18T02:44:49+0200 1229561089 Battery Not_charging 4110000 11437 1002277 266 Li-ion 1 312120 3932100 94 1 0.02
2008-12-18T02:46:50+0200 1229561210 Battery Not_charging 4110000 9750 1002277 266 Li-ion 1 365940 3932100 94 1 0.01
2008-12-18T02:48:51+0200 1229561331 Battery Not_charging 4110000 10312 1002277 266 Li-ion 1 345900 3932100 94 1 0.07
2008-12-18T02:50:52+0200 1229561452 Battery Not_charging 4110000 14625 1002277 266 Li-ion 1 345720 3932100 94 1 0.04
2008-12-18T02:52:53+0200 1229561573 Battery Not_charging 4110000 9750 1002277 266 Li-ion 1 365520 3932100 94 1 0.05
2008-12-18T02:54:53+0200 1229561693 Battery Not_charging 4110000 10500 1002277 266 Li-ion 1 339300 3932100 94 1 0.06
2008-12-18T02:56:54+0200 1229561814 Battery Not_charging 4108000 9750 1002277 266 Li-ion 1 365100 3932100 94 1 0.03
2008-12-18T02:58:55+0200 1229561935 Battery Not_charging 4108000 9562 1002277 266 Li-ion 1 372120 3932100 94 1 0.03
2008-12-18T03:00:56+0200 1229562056 Battery Not_charging 4108000 10125 1002277 266 Li-ion 1 351240 3932100 94 1 0.02
2008-12-18T03:02:57+0200 1229562177 Battery Not_charging 4108000 9750 1002277 266 Li-ion 1 364620 3932100 94 1 0.04
2008-12-18T03:04:57+0200 1229562297 Battery Not_charging 4108000 15750 1002277 266 Li-ion 1 225660 3932100 94 1 0.02
2008-12-18T03:06:58+0200 1229562418 Battery Not_charging 4108000 10125 1002277 266 Li-ion 1 350880 3932100 94 1 0.02
2008-12-18T03:08:59+0200 1229562539 Battery Not_charging 4108000 9562 1002277 266 Li-ion 1 371340 3932100 94 1 0.01
2008-12-18T03:11:00+0200 1229562660 Battery Not_charging 4108000 10312 1002277 266 Li-ion 1 344160 3932100 94 1 0.04
2008-12-18T03:13:00+0200 1229562780 Battery Not_charging 4108000 10500 1002277 266 Li-ion 1 337860 3932100 94 1 0.02
2008-12-18T03:15:01+0200 1229562901 Battery Not_charging 4108000 11437 1002277 266 Li-ion 1 310140 3932100 94 1 0.03
2008-12-18T03:17:02+0200 1229563022 Battery Not_charging 4105000 10125 1002277 266 Li-ion 1 350160 3932100 93 1 0.02
2008-12-18T03:19:03+0200 1229563143 Battery Not_charging 4105000 10500 1002277 266 Li-ion 1 337500 3932100 93 1 0.07
2008-12-18T03:21:04+0200 1229563264 Battery Not_charging 4105000 10312 1002277 266 Li-ion 1 343440 3932100 93 1 0.04
2008-12-18T03:23:04+0200 1229563384 Battery Not_charging 4105000 10500 1002277 266 Li-ion 1 337200 3932100 93 1 0.04
2008-12-18T03:25:05+0200 1229563505 Battery Not_charging 4105000 12562 1002277 266 Li-ion 1 205200 3932100 93 1 0.02
2008-12-18T03:27:06+0200 1229563626 Battery Not_charging 4100000 25312 1002277 266 Li-ion 1 139740 3932100 93 1 0.06
2008-12-18T03:29:07+0200 1229563747 Battery Not_charging 4102000 11437 1002277 266 Li-ion 1 309060 3932100 93 1 0.03
2008-12-18T03:31:08+0200 1229563868 Battery Not_charging 4105000 10312 1002277 266 Li-ion 1 342660 3932100 93 1 0.03
2008-12-18T03:33:08+0200 1229563988 Battery Not_charging 4102000 17437 1002277 266 Li-ion 1 202560 3932100 93 1 0.09
2008-12-18T03:35:09+0200 1229564109 Battery Not_charging 4102000 10125 1002277 266 Li-ion 1 348720 3932100 93 1 0.05
2008-12-18T03:37:10+0200 1229564230 Battery Not_charging 4102000 10500 1002277 266 Li-ion 1 336060 3932100 93 1 0.04
2008-12-18T03:39:11+0200 1229564351 Battery Not_charging 4102000 20437 1002277 266 Li-ion 1 172620 3932100 93 1 0.02
2008-12-18T03:41:11+0200 1229564471 Battery Not_charging 4102000 10312 1002277 266 Li-ion 1 341940 3932100 93 1 0.01
2008-12-18T03:43:12+0200 1229564592 Battery Not_charging 4102000 10687 1002277 266 Li-ion 1 329820 3932100 93 1 0.02
2008-12-18T03:45:13+0200 1229564713 Battery Not_charging 4102000 20437 1002277 266 Li-ion 1 172380 3932100 93 1 0.05
2008-12-18T03:47:14+0200 1229564834 Battery Not_charging 4102000 9750 1002277 266 Li-ion 1 361200 3932100 93 1 0.03
2008-12-18T03:49:15+0200 1229564955 Battery Not_charging 4102000 10125 1002277 266 Li-ion 1 347640 3932100 93 1 0.08
2008-12-18T03:51:15+0200 1229565075 Battery Not_charging 4102000 11625 1002277 266 Li-ion 1 302700 3932100 93 1 0.05
2008-12-18T03:53:16+0200 1229565196 Battery Not_charging 4100000 16500 1002277 266 Li-ion 1 215640 3932100 93 1 0.03
2008-12-18T03:55:17+0200 1229565317 Battery Not_charging 4100000 10125 1002277 266 Li-ion 1 347280 3932100 93 1 0.02
2008-12-18T03:57:18+0200 1229565438 Battery Not_charging 4095000 28875 1002277 266 Li-ion 1 121680 3932100 93 1 0.03
2008-12-18T03:59:19+0200 1229565559 Battery Not_charging 4100000 19687 1002277 266 Li-ion 1 340560 3932100 93 1 0.01
2008-12-18T04:01:19+0200 1229565679 Battery Not_charging 4100000 19312 1002277 266 Li-ion 1 181740 3932100 93 1 0.03
2008-12-18T04:03:20+0200 1229565800 Battery Not_charging 4100000 10125 1002277 266 Li-ion 1 346560 3932100 92 1 0.08
2008-12-18T04:05:21+0200 1229565921 Battery Not_charging 4097000 19687 1002277 266 Li-ion 1 279180 3932100 92 1 0.06
2008-12-18T04:07:22+0200 1229566042 Battery Not_charging 4100000 20625 1002277 266 Li-ion 1 169980 3932100 92 1 0.03
2008-12-18T04:09:22+0200 1229566162 Battery Not_charging 4100000 9562 1002277 266 Li-ion 1 366480 3932100 92 1 0.02
2008-12-18T04:11:23+0200 1229566283 Battery Not_charging 4097000 10125 1002277 266 Li-ion 1 345960 3932100 92 1 0.01
2008-12-18T04:13:24+0200 1229566404 Battery Not_charging 4097000 19125 1002277 266 Li-ion 1 183060 3932100 92 1 0.01
2008-12-18T04:15:25+0200 1229566525 Battery Not_charging 4097000 9562 1002277 266 Li-ion 1 366000 3932100 92 1 0.02
2008-12-18T04:17:26+0200 1229566646 Battery Not_charging 4097000 10125 1002277 266 Li-ion 1 345540 3932100 92 1 0.02
2008-12-18T04:19:26+0200 1229566766 Battery Not_charging 4095000 11812 1002277 266 Li-ion 1 296040 3932100 92 1 0.04
2008-12-18T04:21:27+0200 1229566887 Battery Not_charging 4097000 16687 1002277 266 Li-ion 1 227340 3932100 92 1 0.04
2008-12-18T04:23:28+0200 1229567008 Battery Not_charging 4097000 10312 1002277 266 Li-ion 1 338820 3932100 92 1 0.04
2008-12-18T04:25:29+0200 1229567129 Battery Not_charging 4095000 9750 1002277 266 Li-ion 1 358200 3932100 92 1 0.02
2008-12-18T04:27:30+0200 1229567250 Battery Not_charging 4097000 20062 1002277 266 Li-ion 1 282120 3932100 92 1 0.01
2008-12-18T04:29:30+0200 1229567370 Battery Not_charging 4095000 11625 1002277 266 Li-ion 1 300060 3932100 92 1 0.00
2008-12-18T04:31:31+0200 1229567491 Battery Not_charging 4095000 9937 1002277 266 Li-ion 1 350820 3932100 92 1 0.00
2008-12-18T04:33:32+0200 1229567612 Battery Not_charging 4095000 20250 1002277 266 Li-ion 1 172080 3932100 92 1 0.11
2008-12-18T04:35:33+0200 1229567733 Battery Not_charging 4092000 18562 1002277 266 Li-ion 1 187620 3932100 92 1 0.07
2008-12-18T04:37:33+0200 1229567853 Battery Not_charging 4095000 11437 1002277 266 Li-ion 1 304320 3932100 92 1 0.04
2008-12-18T04:39:34+0200 1229567974 Battery Not_charging 4095000 15187 1002277 266 Li-ion 1 229140 3932100 92 1 0.02
2008-12-18T04:41:35+0200 1229568095 Battery Not_charging 4092000 13687 1002277 266 Li-ion 1 254100 3932100 92 1 0.02
2008-12-18T04:43:36+0200 1229568216 Battery Not_charging 4092000 10312 1002277 266 Li-ion 1 337080 3932100 92 1 0.01
2008-12-18T04:45:37+0200 1229568337 Battery Not_charging 4089000 10687 1002277 266 Li-ion 1 325200 3932100 92 1 0.00
2008-12-18T04:47:38+0200 1229568458 Battery Not_charging 4092000 19875 1002277 266 Li-ion 1 174780 3932100 92 1 0.06
2008-12-18T04:49:38+0200 1229568578 Battery Not_charging 4092000 10312 1002277 266 Li-ion 1 336720 3932100 92 1 0.05
2008-12-18T04:51:39+0200 1229568699 Battery Not_charging 4092000 9750 1002277 266 Li-ion 1 355920 3932100 92 1 0.05
2008-12-18T04:53:40+0200 1229568820 Battery Not_charging 4092000 20062 1002277 266 Li-ion 1 172920 3932100 92 1 0.03
2008-12-18T04:55:41+0200 1229568941 Battery Not_charging 4092000 10312 1002277 266 Li-ion 1 336300 3932100 92 1 0.02
2008-12-18T04:57:42+0200 1229569062 Battery Not_charging 4092000 10125 1002277 266 Li-ion 1 342360 3932100 91 1 0.02
2008-12-18T04:59:42+0200 1229569182 Battery Not_charging 4089000 16875 1002277 266 Li-ion 1 205320 3932100 91 1 0.01
2008-12-18T05:01:43+0200 1229569303 Battery Not_charging 4089000 19875 1002277 266 Li-ion 1 174240 3932100 91 1 0.00
2008-12-18T05:03:44+0200 1229569424 Battery Not_charging 4089000 9750 1002277 266 Li-ion 1 355080 3932100 91 1 0.03
2008-12-18T05:05:45+0200 1229569545 Battery Not_charging 4089000 11437 1002277 266 Li-ion 1 302580 3932100 91 1 0.02
2008-12-18T05:07:46+0200 1229569666 Battery Not_charging 4089000 13500 1002277 266 Li-ion 1 256080 3932100 91 1 0.05
2008-12-18T05:09:46+0200 1229569786 Battery Not_charging 4089000 10875 1002277 266 Li-ion 1 317820 3932100 91 1 0.03
2008-12-18T05:11:47+0200 1229569907 Battery Not_charging 4089000 10125 1002277 266 Li-ion 1 341220 3932100 91 1 0.03
2008-12-18T05:13:48+0200 1229570028 Battery Not_charging 4087000 9562 1002277 266 Li-ion 1 361140 3932100 91 1 0.02
2008-12-18T05:15:49+0200 1229570149 Battery Not_charging 4089000 10312 1002277 266 Li-ion 1 334740 3932100 91 1 0.02
2008-12-18T05:17:49+0200 1229570269 Battery Not_charging 4089000 10312 1002277 266 Li-ion 1 334560 3932100 91 1 0.04
2008-12-18T05:19:50+0200 1229570390 Battery Not_charging 4087000 9750 1002277 266 Li-ion 1 353700 3932100 91 1 0.07
2008-12-18T05:21:51+0200 1229570511 Battery Not_charging 4087000 20437 1002277 266 Li-ion 1 168660 3932100 91 1 0.04
2008-12-18T05:23:52+0200 1229570632 Battery Not_charging 4087000 10125 1002277 266 Li-ion 1 340320 3932100 91 1 0.04
2008-12-18T05:25:53+0200 1229570753 Battery Not_charging 4087000 9562 1002277 266 Li-ion 1 360240 3932100 91 1 0.02
2008-12-18T05:27:53+0200 1229570873 Battery Not_charging 4084000 14625 1002277 266 Li-ion 1 235380 3932100 91 1 0.03
2008-12-18T05:29:54+0200 1229570994 Battery Not_charging 4087000 10125 1002277 266 Li-ion 1 352980 3932100 91 1 0.02
2008-12-18T05:31:55+0200 1229571115 Battery Not_charging 4087000 11437 1002277 266 Li-ion 1 300720 3932100 91 1 0.00
2008-12-18T05:33:56+0200 1229571236 Battery Not_charging 4084000 11437 1002277 266 Li-ion 1 300600 3932100 91 1 0.07
2008-12-18T05:35:57+0200 1229571357 Battery Not_charging 4084000 12562 1002277 266 Li-ion 1 352500 3932100 91 1 0.04
2008-12-18T05:37:57+0200 1229571477 Battery Not_charging 4084000 10312 1002277 266 Li-ion 1 333060 3932100 91 1 0.03
2008-12-18T05:39:58+0200 1229571598 Battery Not_charging 4084000 10125 1002277 266 Li-ion 1 339060 3932100 91 1 0.02
2008-12-18T05:41:59+0200 1229571719 Battery Not_charging 4084000 10312 1002277 266 Li-ion 1 332700 3932100 90 1 0.03
2008-12-18T05:44:00+0200 1229571840 Battery Not_charging 4084000 10125 1002277 266 Li-ion 1 338760 3932100 90 1 0.02
2008-12-18T05:46:00+0200 1229571960 Battery Not_charging 4084000 10500 1002277 266 Li-ion 1 326520 3932100 90 1 0.01
2008-12-18T05:48:01+0200 1229572081 Battery Not_charging 4084000 10312 1002277 266 Li-ion 1 332340 3932100 90 1 0.05
2008-12-18T05:50:02+0200 1229572202 Battery Not_charging 4081000 10125 1002277 266 Li-ion 1 338340 3932100 90 1 0.08
2008-12-18T05:52:03+0200 1229572323 Battery Not_charging 4084000 10312 1002277 266 Li-ion 1 358020 3932100 90 1 0.05
2008-12-18T05:54:04+0200 1229572444 Battery Not_charging 4081000 10312 1002277 266 Li-ion 1 331860 3932100 90 1 0.04
2008-12-18T05:56:04+0200 1229572564 Battery Not_charging 4081000 10312 1002277 266 Li-ion 1 331740 3932100 90 1 0.02
2008-12-18T05:58:05+0200 1229572685 Battery Not_charging 4081000 10125 1002277 266 Li-ion 1 344100 3932100 90 1 0.04
2008-12-18T06:00:06+0200 1229572806 Battery Not_charging 4081000 10312 1002277 266 Li-ion 1 331440 3932100 90 1 0.02
2008-12-18T06:02:07+0200 1229572927 Battery Not_charging 4081000 10312 1002277 266 Li-ion 1 331260 3932100 90 1 0.03
2008-12-18T06:04:08+0200 1229573048 Battery Not_charging 4081000 12750 1002277 266 Li-ion 1 267840 3932100 90 1 0.08
2008-12-18T06:06:08+0200 1229573168 Battery Not_charging 4081000 11250 1002277 266 Li-ion 1 303420 3932100 90 1 0.05
2008-12-18T06:08:09+0200 1229573289 Battery Not_charging 4081000 10312 1002277 266 Li-ion 1 330720 3932100 90 1 0.04
2008-12-18T06:10:10+0200 1229573410 Battery Not_charging 4079000 17625 1002277 266 Li-ion 1 193440 3932100 90 1 0.02
2008-12-18T06:12:11+0200 1229573531 Battery Not_charging 4081000 10125 1002277 266 Li-ion 1 336540 3932100 90 1 0.01
2008-12-18T06:14:11+0200 1229573651 Battery Not_charging 4079000 10687 1002277 266 Li-ion 1 318780 3932100 90 1 0.02
2008-12-18T06:16:12+0200 1229573772 Battery Not_charging 4079000 20812 1002277 266 Li-ion 1 163620 3932100 90 1 0.02
2008-12-18T06:18:13+0200 1229573893 Battery Not_charging 4079000 10312 1002277 266 Li-ion 1 330000 3932100 90 1 0.09
2008-12-18T06:20:14+0200 1229574014 Battery Not_charging 4079000 9750 1002277 266 Li-ion 1 348900 3932100 90 1 0.09
2008-12-18T06:22:15+0200 1229574135 Battery Not_charging 4079000 12000 1002277 266 Li-ion 1 283320 3932100 90 1 0.06
2008-12-18T06:24:15+0200 1229574255 Battery Not_charging 4079000 12375 1002277 266 Li-ion 1 274680 3932100 90 1 0.05
2008-12-18T06:26:17+0200 1229574377 Battery Not_charging 4079000 10312 1002277 266 Li-ion 1 329520 3932100 90 1 0.21
2008-12-18T06:28:18+0200 1229574498 Battery Not_charging 4079000 10312 1002277 266 Li-ion 1 329280 3932100 90 1 0.14
2008-12-18T06:30:18+0200 1229574618 Battery Not_charging 4076000 10687 1002277 266 Li-ion 1 317580 3932100 89 1 0.20
2008-12-18T06:32:20+0200 1229574740 Battery Not_charging 4076000 12000 1002277 266 Li-ion 1 323040 3932100 89 1 0.20
2008-12-18T06:34:21+0200 1229574861 Battery Not_charging 4076000 10125 1002277 266 Li-ion 1 334860 3932100 89 1 0.13
2008-12-18T06:36:22+0200 1229574982 Battery Not_charging 4076000 17062 1002277 266 Li-ion 1 198600 3932100 89 1 0.10
2008-12-18T06:38:22+0200 1229575102 Battery Not_charging 4074000 33187 1002277 266 Li-ion 1 122880 3932100 89 1 0.06
2008-12-18T06:40:23+0200 1229575223 Battery Not_charging 4076000 10687 1002277 266 Li-ion 1 316740 3932100 89 1 0.05
2008-12-18T06:42:24+0200 1229575344 Battery Not_charging 4074000 10500 1002277 266 Li-ion 1 322200 3932100 89 1 0.03
2008-12-18T06:44:25+0200 1229575465 Battery Not_charging 4076000 10687 1002277 266 Li-ion 1 281880 3932100 89 1 0.06
2008-12-18T06:46:26+0200 1229575586 Battery Not_charging 4076000 9937 1002277 266 Li-ion 1 340140 3932100 89 1 0.04
2008-12-18T06:48:26+0200 1229575706 Battery Not_charging 4074000 9562 1002277 266 Li-ion 1 353340 3932100 89 1 0.06
2008-12-18T06:50:27+0200 1229575827 Battery Not_charging 4074000 12375 1002277 266 Li-ion 1 272940 3932100 89 1 0.04
2008-12-18T06:52:28+0200 1229575948 Battery Not_charging 4074000 12750 1002277 266 Li-ion 1 264780 3932100 89 1 0.03
2008-12-18T06:54:29+0200 1229576069 Battery Not_charging 4074000 11812 1002277 266 Li-ion 1 285660 3932100 89 1 0.02
2008-12-18T06:56:30+0200 1229576190 Battery Not_charging 4071000 10500 1002277 266 Li-ion 1 321240 3932100 89 1 0.02
2008-12-18T06:58:30+0200 1229576310 Battery Not_charging 4032000 19312 1002277 273 Li-ion 1 162060 3932100 83 1 0.02
2008-12-18T12:00:50+0200 1229594450 Battery Not_charging 4029000 12375 1002277 273 Li-ion 1 252600 3932100 82 1 0.02
2008-12-18T12:02:51+0200 1229594571 Battery Not_charging 4029000 9562 1002277 273 Li-ion 1 252480 3932100 82 1 0.06

(I lost the data between 7-12 due to a typo in case you wonder.)

lindi@ginger:~$ sudo cat /sys/class/i2c-adapter/i2c-0/0-0073/dump_regs
13 84 80 00 00 00 00 80 00 00 00 00 00 d3 aa 4a 
15 47 ff 01 00 01 00 00 02 08 6b 01 00 0a 1b 02 
00 22 2f 01 00 22 00 01 02 00 05 05 11 18 02 18 
02 15 00 17 00 15 00 15 01 17 01 00 00 ff 3f 00 
00 07 63 e7 28 19 ff ff 00 01 00 33 2a d0 19 00 
00 08 00 00 7e 01 00 f3 00 40 06 10 04 18 11 08 
49 11 10 07 17 11 08 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 a4 e2 59 0a 27 60 5b b0 80 
00 d8 03 05 00 01 00 03 f7 ff 1a 67 ff 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

comment:58 Changed 6 years ago by lindi

It went now down to 81% so it does not start recharging anytime soon. I unfortunately need to use my phone now so I can't leave it to the charger for any longer.

comment:59 Changed 6 years ago by andy

Thanks for the test Lindi it's obvious 81% isn't good enough.

I'll ask for info from battery vendor about constant voltage trickle charge advisability.

comment:60 Changed 6 years ago by joerg

I suggest setting battery charger to constant voltage 4.15V, and a maximum charge current of up to 1200mA (I know we can't charge at his rate with 50633)

Anyway that's what GTA01-cell spec says:
3.3 Charge Conditions
(1) Charge Voltage : 4.20±0.05 V
(2) Maximum Charge Current : 1200 mA (1C)
(3) Charge Method : CC-CV (Constant Current - Constant Voltage)

There's no switching off of charging voltage mentioned, and I never heard a battery would need this.

comment:61 Changed 6 years ago by andy

I already asked Dkay several hours ago to confirm with vendor about constant voltage mode, and Dkay told | In my memorize of discuss with vendor before, if we don't stop charging | when battery full. It will make battery to swell and decrease battery | lifetime but he will check it. So we won't make any change until we find out about it from vendor.

comment:62 Changed 6 years ago by andy

  • Status changed from reopened to closed
  • Resolution set to fixed

The andy-tracking kernels now stop charging when the battery is full, but continues to watch the battery at intervals of several minutes and will decide to resume charging if it falls below a threshold.

This avoids the continuous charging scenario that the battery vendor did indeed tell us would make trouble.

comment:63 Changed 5 years ago by joerg

http://www.batteryuniversity.com/partone-12.htm
According to this it isn't desirable to hold bat at 4.20V, no matter whether charging or cyclic recharging.
My tests seem to show the PMU restarts charging properly at

autores = 1 from the dump => supposed to restart charging at 96% of vbatmax

which according to CC is ~75%..80%.

Obviously the above mentioned restart by kernel is broken and so we don't need to worry (fixed by bug ;-), just sysfs reports "charging" after kernel tried to restart, when evidentally it isn't charging.

Common sense is LiIon? batteries suffer much less from frequent small 90%..75%..90% cycles than from deep discharge or being kept at max charge (4.2V) all the time.
So I think we should completely remove the (anyway useless, esp in suspend) kernel resume scheme, and live with the fact that our bat reaches ~80% ~10..20h after charging stopped, then gets recharged by PMU automatically.
Anybody who needs to make sure he has 100% capacity when leaving the house should hook up the device to charger 3h prior to that, so it reaches 100% capacity just in time and doesn't lose too much after stop of charging.

Note: See TracTickets for help on using tickets.